Bug 24498 - 0.179: isn't LTO ready
Summary: 0.179: isn't LTO ready
Status: ASSIGNED
Alias: None
Product: elfutils
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-28 19:49 UTC by kloczek
Modified: 2020-05-09 08:02 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed: 2019-10-04 00:00:00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kloczek 2019-04-28 19:49:26 UTC
[tkloczko@domek elfutils-0.176]$ make -k
make --no-print-directory all-recursive
Making all in config
make[2]: Nothing to be done for 'all'.
Making all in m4
make[2]: Nothing to be done for 'all'.
Making all in lib
make[2]: Nothing to be done for 'all'.
Making all in libelf
make[2]: Nothing to be done for 'all'.
Making all in libebl
make[2]: Nothing to be done for 'all'.
Making all in libdwelf
make[2]: Nothing to be done for 'all'.
Making all in libdwfl
make[2]: Nothing to be done for 'all'.
Making all in libdw
make  all-am
gcc -std=gnu99 -Wall -Wshadow -Wformat=2 -Wold-style-definition -Wstrict-prototypes -Wtrampolines -Wlogical-op -Wduplicated-cond -Wnull-dereference -Wimplicit-fallthrough=5 -Werror -Wunused -Wextra -Wstack-usage=262144    -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -flto  -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto -fuse-linker-plugin -o libdw.so -shared -Wl,-z,defs -Wl,-z,relro -o libdw.so \
	-Wl,--soname,libdw.so.1 \
	-Wl,--enable-new-dtags,-rpath,/usr/lib64/elfutils \
	-Wl,--version-script,libdw.map,--no-undefined \
	-Wl,--whole-archive libdw_pic.a ../libdwelf/libdwelf_pic.a ../libdwfl/libdwfl_pic.a ../libebl/libebl.a -Wl,--no-whole-archive \
	../lib/libeu.a ../libelf/libelf.so -ldl -lz  -llzma -lbz2 
/usr/bin/ld: libdw.so: no symbol version section for versioned symbol `dwarf_decl_column@ELFUTILS_0.143'
/usr/bin/ld: final link failed: nonrepresentable section on output
collect2: error: ld returned 1 exit status
make[3]: *** [Makefile:1372: libdw.so] Error 1
make[3]: Target 'all-am' not remade because of errors.
make[2]: *** [Makefile:614: all] Error 2
Making all in libcpu
make[2]: Nothing to be done for 'all'.
Making all in libasm
make[2]: *** No rule to make target '../libdw/libdw.so', needed by 'libasm.so'.
make[2]: Target 'all' not remade because of errors.
Making all in backends
make[2]: *** No rule to make target 'libebl_sh.so', needed by 'all-am'.
make[2]: *** No rule to make target 'libebl_ia64.so', needed by 'all-am'.
make[2]: *** No rule to make target 'libebl_alpha.so', needed by 'all-am'.
make[2]: *** No rule to make target 'libebl_arm.so', needed by 'all-am'.
make[2]: *** No rule to make target 'libebl_aarch64.so', needed by 'all-am'.
make[2]: *** No rule to make target 'libebl_sparc.so', needed by 'all-am'.
make[2]: *** No rule to make target 'libebl_ppc.so', needed by 'all-am'.
make[2]: *** No rule to make target 'libebl_ppc64.so', needed by 'all-am'.
make[2]: *** No rule to make target 'libebl_s390.so', needed by 'all-am'.
make[2]: *** No rule to make target 'libebl_tilegx.so', needed by 'all-am'.
make[2]: *** No rule to make target 'libebl_m68k.so', needed by 'all-am'.
make[2]: *** No rule to make target 'libebl_riscv.so', needed by 'all-am'.
make[2]: Target 'all' not remade because of errors.
Making all in src
make[2]: *** No rule to make target '../libdw/libdw.so', needed by 'readelf'.
gcc -std=gnu99 -Wall -Wshadow -Wformat=2 -Wold-style-definition -Wstrict-prototypes -Wtrampolines -Wlogical-op -Wduplicated-cond -Wnull-dereference -Wimplicit-fallthrough=5 -Werror -Wunused -Wextra -Wstack-usage=262144   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -flto -Wl,-rpath-link,../libelf:../libdw -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto -fuse-linker-plugin -o size size.o ../libelf/libelf.so ../lib/libeu.a  
size.c: In function ‘handle_elf’:
size.c:628:1: error: stack usage might be unbounded [-Werror=stack-usage=]
  628 | handle_elf (Elf *elf, const char *prefix, const char *fname)
      | ^
size.c: In function ‘handle_ar’:
size.c:341:1: error: stack usage might be unbounded [-Werror=stack-usage=]
  341 | handle_ar (int fd, Elf *elf, const char *prefix, const char *fname)
      | ^
lto1: all warnings being treated as errors
lto-wrapper: fatal error: gcc returned 1 exit status
compilation terminated.
/usr/bin/ld: error: lto-wrapper failed
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:637: size] Error 1
gcc -std=gnu99 -Wall -Wshadow -Wformat=2 -Wold-style-definition -Wstrict-prototypes -Wtrampolines -Wlogical-op -Wduplicated-cond -Wnull-dereference -Wimplicit-fallthrough=5 -Werror -Wunused -Wextra -Wstack-usage=262144   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -flto -Wl,-rpath-link,../libelf:../libdw -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto -fuse-linker-plugin -o elflint elflint.o ../libebl/libebl.a ../libelf/libelf.so ../lib/libeu.a  -ldl 
elflint.c: In function ‘compare_hash_gnu_hash.isra.0’:
elflint.c:2373:1: error: stack usage might be unbounded [-Werror=stack-usage=]
 2373 | compare_hash_gnu_hash (Ebl *ebl, GElf_Ehdr *ehdr, size_t hash_idx,
      | ^
elflint.c: In function ‘check_verdef.isra.0’:
elflint.c:3224:1: error: stack usage might be unbounded [-Werror=stack-usage=]
 3224 | check_verdef (Ebl *ebl, GElf_Shdr *shdr, int idx)
      | ^
lto1: all warnings being treated as errors
lto-wrapper: fatal error: gcc returned 1 exit status
compilation terminated.
/usr/bin/ld: error: lto-wrapper failed
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:613: elflint] Error 1
gcc -std=gnu99 -Wall -Wshadow -Wformat=2 -Wold-style-definition -Wstrict-prototypes -Wtrampolines -Wlogical-op -Wduplicated-cond -Wnull-dereference -Wimplicit-fallthrough=5 -Werror -Wunused -Wextra -Wstack-usage=262144   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -flto -Wl,-rpath-link,../libelf:../libdw -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto -fuse-linker-plugin -o elfcmp elfcmp.o ../libebl/libebl.a ../libelf/libelf.so ../lib/libeu.a  -ldl 
elfcmp.c: In function ‘main’:
elfcmp.c:123:1: error: stack usage might be unbounded [-Werror=stack-usage=]
  123 | main (int argc, char *argv[])
      | ^
lto1: all warnings being treated as errors
lto-wrapper: fatal error: gcc returned 1 exit status
compilation terminated.
/usr/bin/ld: error: lto-wrapper failed
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:605: elfcmp] Error 1
make[2]: *** No rule to make target '../libasm/libasm.so', needed by 'objdump'.
gcc -std=gnu99 -Wall -Wshadow -Wformat=2 -Wold-style-definition -Wstrict-prototypes -Wtrampolines -Wlogical-op -Wduplicated-cond -Wnull-dereference -Wimplicit-fallthrough=5 -Werror -Wunused -Wextra -Wstack-usage=262144   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -flto -Wl,-rpath-link,../libelf:../libdw -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto -fuse-linker-plugin -o ranlib ranlib.o libar.a ../libelf/libelf.so ../lib/libeu.a  
ranlib.c: In function ‘handle_file’:
ranlib.c:136:1: error: stack usage might be unbounded [-Werror=stack-usage=]
  136 | handle_file (const char *fname)
      | ^
lto1: all warnings being treated as errors
lto-wrapper: fatal error: gcc returned 1 exit status
compilation terminated.
/usr/bin/ld: error: lto-wrapper failed
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:629: ranlib] Error 1
gcc -std=gnu99 -Wall -Wshadow -Wformat=2 -Wold-style-definition -Wstrict-prototypes -Wtrampolines -Wlogical-op -Wduplicated-cond -Wnull-dereference -Wimplicit-fallthrough=5 -Werror -Wunused -Wextra -Wstack-usage=262144   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -flto -Wl,-rpath-link,../libelf:../libdw -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto -fuse-linker-plugin -o ar ar.o libar.a ../libelf/libelf.so ../lib/libeu.a  
ar.c: In function ‘no0print’:
ar.c:1079:1: error: stack usage might be unbounded [-Werror=stack-usage=]
 1079 | no0print (bool ofmt, char *buf, int bufsize, long int val)
      | ^
ar.c: In function ‘do_oper_insert’:
ar.c:1092:1: error: stack usage might be unbounded [-Werror=stack-usage=]
 1092 | do_oper_insert (int oper, const char *arfname, char **argv, int argc,
      | ^
ar.c: In function ‘do_oper_delete’:
ar.c:908:1: error: stack usage might be unbounded [-Werror=stack-usage=]
  908 | do_oper_delete (const char *arfname, char **argv, int argc,
      | ^
ar.c: In function ‘do_oper_extract’:
ar.c:441:1: error: stack usage might be unbounded [-Werror=stack-usage=]
  441 | do_oper_extract (int oper, const char *arfname, char **argv, int argc,
      | ^
ar.c: In function ‘main’:
ar.c:140:1: error: stack usage might be unbounded [-Werror=stack-usage=]
  140 | main (int argc, char *argv[])
      | ^
lto1: all warnings being treated as errors
lto-wrapper: fatal error: gcc returned 1 exit status
compilation terminated.
/usr/bin/ld: error: lto-wrapper failed
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:601: ar] Error 1
make[2]: Target 'all' not remade because of errors.
Making all in po
make[2]: Nothing to be done for 'all'.
Making all in tests
make[2]: Nothing to be done for 'all'.
make[1]: *** [Makefile:485: all-recursive] Error 1
make: *** [Makefile:401: all] Error 2
[tkloczko@domek elfutils-0.176]$
Comment 1 Mark Wielaard 2019-04-28 20:25:19 UTC
One problem is that LTO seems to discard all symbol versioning.
This seems to be caused by the fact that the code uses asm statements with .symver: https://sourceware.org/binutils/docs/as/Symver.html

I am note sure what/how to resolve that.

It seems it will need a GCC fix:
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=48200
Comment 2 kloczek 2019-04-28 20:36:59 UTC
(In reply to Mark Wielaard from comment #1)
> I am note sure what/how to resolve that.
> 
> It seems it will need a GCC fix:
> https://gcc.gnu.org/bugzilla/show_bug.cgi?id=48200

I have no account in gcc bugzilla so I cannot even ask or report that issue.
Looks like they are restricting now access to gcc bugzilla :/
Comment 3 Mark Wielaard 2019-04-28 20:43:54 UTC
(In reply to kloczek from comment #2)
> (In reply to Mark Wielaard from comment #1)
> > I am note sure what/how to resolve that.
> > 
> > It seems it will need a GCC fix:
> > https://gcc.gnu.org/bugzilla/show_bug.cgi?id=48200
> 
> I have no account in gcc bugzilla so I cannot even ask or report that issue.
> Looks like they are restricting now access to gcc bugzilla :/

I can see that GCC bug just fine without being logged into GCC bugzilla.
Comment 4 kloczek 2019-09-15 13:57:20 UTC
Just checked and 1.77 looks like still is affected.


+ cd elfutils-0.177
+ /usr/bin/make install DESTDIR=/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64 'INSTALL=/usr/bin/install -p'
Making install in config
make[2]: Nothing to be done for 'install-exec-am'.
 /usr/bin/mkdir -p '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/lib64/pkgconfig'
 /usr/bin/install -p -m 644 libelf.pc libdw.pc '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/lib64/pkgconfig'
Making install in m4
make[2]: Nothing to be done for 'install-exec-am'.
make[2]: Nothing to be done for 'install-data-am'.
Making install in lib
make[2]: Nothing to be done for 'install-exec-am'.
make[2]: Nothing to be done for 'install-data-am'.
Making install in libelf
 /usr/bin/mkdir -p '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/lib64'
 /usr/bin/install -p -m 644  libelf.a '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/lib64'
 ( cd '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/lib64' && gcc-ranlib libelf.a )
 /usr/bin/mkdir -p '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/include'
 /usr/bin/install -p -m 644 libelf.h gelf.h nlist.h '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/include'
 /usr/bin/mkdir -p '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/include/elfutils'
 /usr/bin/install -p -m 644 elf-knowledge.h '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/include/elfutils'
/bin/sh /home/tkloczko/rpmbuild/BUILD/elfutils-0.177/config/install-sh -d /home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/lib64
/usr/bin/install -p libelf.so /home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/lib64/libelf-0.177.so
ln -fs libelf-0.177.so /home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/lib64/libelf.so.1
ln -fs libelf.so.1 /home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/lib64/libelf.so
Making install in libebl
 /usr/bin/mkdir -p '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/lib64'
 /usr/bin/install -p -m 644  libebl.a '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/lib64'
 ( cd '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/lib64' && gcc-ranlib libebl.a )
 /usr/bin/mkdir -p '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/include/elfutils'
 /usr/bin/install -p -m 644 libebl.h '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/include/elfutils'
Making install in libdwelf
make[2]: Nothing to be done for 'install-exec-am'.
 /usr/bin/mkdir -p '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/include/elfutils'
 /usr/bin/install -p -m 644 libdwelf.h '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/include/elfutils'
Making install in libdwfl
make[2]: Nothing to be done for 'install-exec-am'.
 /usr/bin/mkdir -p '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/include/elfutils'
 /usr/bin/install -p -m 644 libdwfl.h '/home/tkloczko/rpmbuild/BUILDROOT/elfutils-0.177-2.fc32.x86_64/usr/include/elfutils'
Making install in libdw
gcc -std=gnu99 -Wall -Wshadow -Wformat=2 -Wold-style-definition -Wstrict-prototypes -Wtrampolines -Wlogical-op -Wduplicated-cond -Wnull-dereference -Wimplicit-fallthrough=5 -Werror -Wunused -Wextra -Wstack-usage=262144    -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -flto  -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto -fuse-linker-plugin -o libdw.so -shared -Wl,-z,defs -Wl,-z,relro -o libdw.so \
	-Wl,--soname,libdw.so.1 \
	-Wl,--enable-new-dtags,-rpath,/usr/lib64/elfutils \
	-Wl,--version-script,libdw.map,--no-undefined \
	-Wl,--whole-archive libdw_pic.a ../libdwelf/libdwelf_pic.a ../libdwfl/libdwfl_pic.a ../libebl/libebl.a -Wl,--no-whole-archive \
	../lib/libeu.a ../libelf/libelf.so -ldl -lz  -llzma -lbz2 
/usr/bin/ld: libdw.so: no symbol version section for versioned symbol `dwarf_decl_column@ELFUTILS_0.143'
/usr/bin/ld: final link failed: nonrepresentable section on output
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile:1373: libdw.so] Error 1
make: *** [Makefile:486: install-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.3jnV94 (%install)
Comment 5 Mark Wielaard 2019-10-04 07:39:36 UTC
This is still the same GCC issue: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=48200

Once gcc gets support for symbol versioning usable with LTO we'll use it.
Comment 6 kloczek 2020-03-30 22:11:08 UTC
Just gave chance new 0.179 and latest rawhide gcc and looks like now set of warnings treated as werrors is a bit different.

[tkloczko@barrel elfutils-0.179]$ make -k
make --no-print-directory all-recursive
Making all in config
make[2]: Nothing to be done for 'all'.
Making all in m4
make[2]: Nothing to be done for 'all'.
Making all in lib
make[2]: Nothing to be done for 'all'.
Making all in libelf
make[2]: Nothing to be done for 'all'.
Making all in libcpu
make[2]: Nothing to be done for 'all'.
Making all in backends
make[2]: Nothing to be done for 'all'.
Making all in libebl
make[2]: Nothing to be done for 'all'.
Making all in libdwelf
make[2]: Nothing to be done for 'all'.
Making all in libdwfl
make[2]: Nothing to be done for 'all'.
Making all in libdw
make  all-am
gcc -std=gnu99 -Wall -Wshadow -Wformat=2 -Wold-style-definition -Wstrict-prototypes -Wtrampolines -Wlogical-op -Wduplicated-cond -Wnull-dereference -Wimplicit-fallthrough=5 -Werror -Wunused -Wextra -Wstack-usage=262144    -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -flto=auto -flto-partition=none -Wformat  -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto=auto -flto-partition=none -fuse-linker-plugin -o libdw.so -shared -Wl,-z,defs -Wl,-z,relro -o libdw.so \
        -Wl,--soname,libdw.so.1,--enable-new-dtags \
        -Wl,--version-script,libdw.map,--no-undefined \
        -Wl,--whole-archive ../libebl/libebl_pic.a ../backends/libebl_backends_pic.a ../libcpu/libcpu_pic.a libdw_pic.a ../libdwelf/libdwelf_pic.a ../libdwfl/libdwfl_pic.a -Wl,--no-whole-archive \
        ../lib/libeu.a ../libelf/libelf.so -ldl -lz  -llzma -lbz2  -pthread
find-debuginfo.c: In function ‘dwfl_standard_find_debuginfo’:
debuginfod-client.c:85:8: error: ‘bits’ may be used uninitialized in this function [-Werror=maybe-uninitialized]
find-debuginfo.c:360:24: note: ‘bits’ was declared here
lto1: all warnings being treated as errors
lto-wrapper: fatal error: gcc returned 1 exit status
compilation terminated.
/usr/bin/ld: error: lto-wrapper failed
collect2: error: ld returned 1 exit status
make[3]: *** [Makefile:1405: libdw.so] Error 1
make[3]: Target 'all-am' not remade because of errors.
make[2]: *** [Makefile:649: all] Error 2
Making all in libasm
make[2]: *** No rule to make target '../libdw/libdw.so', needed by 'libasm.so'.
make[2]: Target 'all' not remade because of errors.
Making all in src
make[2]: *** No rule to make target '../libdw/libdw.so', needed by 'readelf'.
gcc -std=gnu99 -Wall -Wshadow -Wformat=2 -Wold-style-definition -Wstrict-prototypes -Wtrampolines -Wlogical-op -Wduplicated-cond -Wnull-dereference -Wimplicit-fallthrough=5 -Werror -Wunused -Wextra -Wstack-usage=262144   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -flto=auto -flto-partition=none -Wformat -Wl,-rpath-link,../libelf:../libdw -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto=auto -flto-partition=none -fuse-linker-plugin -o size size.o ../libelf/libelf.so ../lib/libeu.a
size.c: In function ‘handle_elf’:
size.c:634:1: error: stack usage might be unbounded [-Werror=stack-usage=]
  634 | handle_elf (Elf *elf, const char *prefix, const char *fname)
      | ^
size.c: In function ‘handle_ar’:
size.c:341:1: error: stack usage might be unbounded [-Werror=stack-usage=]
  341 | handle_ar (int fd, Elf *elf, const char *prefix, const char *fname)
      | ^
lto1: all warnings being treated as errors
lto-wrapper: fatal error: gcc returned 1 exit status
compilation terminated.
/usr/bin/ld: error: lto-wrapper failed
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:670: size] Error 1
make[2]: *** No rule to make target '../libasm/libasm.so', needed by 'objdump'.
gcc -std=gnu99 -Wall -Wshadow -Wformat=2 -Wold-style-definition -Wstrict-prototypes -Wtrampolines -Wlogical-op -Wduplicated-cond -Wnull-dereference -Wimplicit-fallthrough=5 -Werror -Wunused -Wextra -Wstack-usage=262144   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -flto=auto -flto-partition=none -Wformat -Wl,-rpath-link,../libelf:../libdw -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto=auto -flto-partition=none -fuse-linker-plugin -o ranlib ranlib.o libar.a ../libelf/libelf.so ../lib/libeu.a
ranlib.c: In function ‘handle_file’:
ranlib.c:136:1: error: stack usage might be unbounded [-Werror=stack-usage=]
  136 | handle_file (const char *fname)
      | ^
lto1: all warnings being treated as errors
lto-wrapper: fatal error: gcc returned 1 exit status
compilation terminated.
/usr/bin/ld: error: lto-wrapper failed
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:662: ranlib] Error 1
gcc -std=gnu99 -Wall -Wshadow -Wformat=2 -Wold-style-definition -Wstrict-prototypes -Wtrampolines -Wlogical-op -Wduplicated-cond -Wnull-dereference -Wimplicit-fallthrough=5 -Werror -Wunused -Wextra -Wstack-usage=262144   -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -flto=auto -flto-partition=none -Wformat -Wl,-rpath-link,../libelf:../libdw -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto=auto -flto-partition=none -fuse-linker-plugin -o ar ar.o libar.a ../libelf/libelf.so ../lib/libeu.a
ar.c: In function ‘do_oper_extract’:
ar.c:441:1: error: stack usage might be unbounded [-Werror=stack-usage=]
  441 | do_oper_extract (int oper, const char *arfname, char **argv, int argc,
      | ^
ar.c: In function ‘do_oper_delete’:
ar.c:908:1: error: stack usage might be unbounded [-Werror=stack-usage=]
  908 | do_oper_delete (const char *arfname, char **argv, int argc,
      | ^
ar.c: In function ‘do_oper_insert’:
ar.c:1092:1: error: stack usage might be unbounded [-Werror=stack-usage=]
 1092 | do_oper_insert (int oper, const char *arfname, char **argv, int argc,
      | ^
ar.c: In function ‘main’:
ar.c:140:1: error: stack usage might be unbounded [-Werror=stack-usage=]
  140 | main (int argc, char *argv[])
      | ^
lto1: all warnings being treated as errors
lto-wrapper: fatal error: gcc returned 1 exit status
compilation terminated.
/usr/bin/ld: error: lto-wrapper failed
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:630: ar] Error 1
make[2]: Target 'all' not remade because of errors.
Making all in po
make[2]: Nothing to be done for 'all'.
Making all in doc
make[2]: Nothing to be done for 'all'.
Making all in tests
make[2]: Nothing to be done for 'all'.
Making all in debuginfod
make[2]: *** No rule to make target '../libdw/libdw.so', needed by 'debuginfod'.
make[2]: Target 'all' not remade because of errors.
make[1]: *** [Makefile:499: all-recursive] Error 1
make: *** [Makefile:415: all] Error 2
Comment 7 Mark Wielaard 2020-04-02 11:14:06 UTC
We need a way to generate symbol versions without having to use (top-level) inline assembly. It appears GCC 10 will provide this:
https://gcc.gnu.org/onlinedocs/gcc/Common-Function-Attributes.html

We should try to use this to define the symbol version macros (OLD_VERSION, NEW_VERSION, COMPAT_VERSION_NEWPROTO, COMPAT_VERSION) in lib/eu-config.h

symver ("name2@nodename")

    On ELF targets this attribute creates a symbol version. The name2 part of the parameter is the actual name of the symbol by which it will be externally referenced. The nodename portion should be the name of a node specified in the version script supplied to the linker when building a shared library. Versioned symbol must be defined and must be exported with default visibility.

    __attribute__ ((__symver__ ("foo@VERS_1"))) int
    foo_v1 (void)
    {
    }

    Will produce a .symver foo_v1, foo@VERS_1 directive in the assembler output.

    It’s an error to define multiple version of a given symbol. In such case an alias can be used.

    __attribute__ ((__symver__ ("foo@VERS_2")))
    __attribute__ ((alias ("foo_v1")))
    int symver_foo_v1 (void);

    This example creates an alias of foo_v1 with symbol name symver_foo_v1 which will be version VERS_2 of foo.

    Finally if the parameter is "name2@@nodename" then in addition to creating a symbol version (as if "name2@nodename" was used) the version will be also used to resolve name2 by the linker.
Comment 8 Mark Wielaard 2020-04-10 19:47:37 UTC
I proposed a patch to use the new gcc 10 symver attribute to define symbol versioning:

https://sourceware.org/pipermail/elfutils-devel/2020q2/002606.html

This should help with using LTO since it makes the function symbols and versions visible to the compiler (before they were "hidden" inside asm statements).

But I haven't tried to build all of elfutils with LTO enabled yet.
How do you configure elfutils to enable LTO?
Comment 9 Martin Liška 2020-04-15 05:12:18 UTC
(In reply to Mark Wielaard from comment #8)
> I proposed a patch to use the new gcc 10 symver attribute to define symbol
> versioning:
> 
> https://sourceware.org/pipermail/elfutils-devel/2020q2/002606.html
> 
> This should help with using LTO since it makes the function symbols and
> versions visible to the compiler (before they were "hidden" inside asm
> statements).

There's an ongoing effort that will extend .symver GAS syntax:
https://sourceware.org/bugzilla/show_bug.cgi?id=25295

Later then, the GCC will utilize the new syntax.

> 
> But I haven't tried to build all of elfutils with LTO enabled yet.
> How do you configure elfutils to enable LTO?

I would add a configure option --enable-lto that will append -flto to {C,LD}FLAGS.

Thanks for working on that.
Comment 10 kloczek 2020-04-15 07:03:26 UTC
> I would add a configure option --enable-lto that will append -flto to {C,LD}FLAGS.

Please don't do that.

LTO can be driven using only env variable.

% CFLAGS="<clto_cflags>" LDFLAGS="<lto_ldflags>" ./configure

Please use KISS principle and do not implement something which can be already done other way *without* touching existing code.

PS. Changing {C,LD}FLAGS is not only part of using LTO. You need to pass NM, RANLIB and AR env variables.
Comment 11 Martin Liška 2020-04-15 07:07:05 UTC
(In reply to kloczek from comment #10)
> > I would add a configure option --enable-lto that will append -flto to {C,LD}FLAGS.
> 
> Please don't do that.
> 
> LTO can be driven using only env variable.
> 
> % CFLAGS="<clto_cflags>" LDFLAGS="<lto_ldflags>" ./configure

Works for me.

> 
> Please use KISS principle and do not implement something which can be
> already done other way *without* touching existing code.
> 
> PS. Changing {C,LD}FLAGS is not only part of using LTO. You need to pass NM,
> RANLIB and AR env variables.

Not necessarily. Typical Linux systems, like openSUSE, utilize auto-loading mechanism of LTO plugins:

$ strace -f -s512 nm foo.o 2>&1 | grep plugin
...
openat(AT_FDCWD, "/usr/bin/../bin/../lib/bfd-plugins/liblto_plugin.so.0.0.0", O_RDONLY|O_CLOEXEC) = 5
Comment 12 Mark Wielaard 2020-04-15 12:50:15 UTC
(In reply to Martin Liška from comment #9)
> (In reply to Mark Wielaard from comment #8)
> > I proposed a patch to use the new gcc 10 symver attribute to define symbol
> > versioning:
> > 
> > https://sourceware.org/pipermail/elfutils-devel/2020q2/002606.html
> > 
> > This should help with using LTO since it makes the function symbols and
> > versions visible to the compiler (before they were "hidden" inside asm
> > statements).
> 
> There's an ongoing effort that will extend .symver GAS syntax:
> https://sourceware.org/bugzilla/show_bug.cgi?id=25295
> 
> Later then, the GCC will utilize the new syntax.

Interesting, thanks for the reference. I also added a comment to the GCC bug https://gcc.gnu.org/bugzilla/show_bug.cgi?id=48200#c43 because the current syntax (not supporting triple @ variant) makes things a bit cumbersome.

This is partly because the interaction between linker version script and assembler .symver isn't really documented fully. The assembler .symver should override what is in the linker version script, but it doesn't fully. In particular, as shown by this hack, the linker might still add a (default) version to a symbol, even if the assembler already added a version.
Comment 13 Mark Wielaard 2020-04-15 13:56:33 UTC
(In reply to Martin Liška from comment #11)
> (In reply to kloczek from comment #10)
> > > I would add a configure option --enable-lto that will append -flto to {C,LD}FLAGS.
> > 
> > Please don't do that.
> > 
> > LTO can be driven using only env variable.
> > 
> > % CFLAGS="<clto_cflags>" LDFLAGS="<lto_ldflags>" ./configure
> 
> Works for me.

Sorry, but what are the clto_cflags and lto_ldflags precisely?
And we now (also) have some c++ code for the debuginfod server, which I assume needs some CXXFLAGS too?

> > Please use KISS principle and do not implement something which can be
> > already done other way *without* touching existing code.
> > 
> > PS. Changing {C,LD}FLAGS is not only part of using LTO. You need to pass NM,
> > RANLIB and AR env variables.
> 
> Not necessarily. Typical Linux systems, like openSUSE, utilize auto-loading
> mechanism of LTO plugins:

On Fedora32 that doesn't seem to work with:

$ CFLAGS="-O2 -g -flto" CXXFLAGS="-O2 -g -flto" LDFLAGS="-flto" ./configure --enable-maintainer-mode
$ make
[...]
ar: elf_version.o: plugin needed to handle lto object
ranlib libelf.a
ranlib: libelf.a(elf_version.o): plugin needed to handle lto object

Am I using the wrong flags?
Or are the default ar and ranlib tools not build with the correct flags?
Comment 14 kloczek 2020-04-15 15:53:17 UTC
> Sorry, but what are the clto_cflags and lto_ldflags precisely? And we now (also) have some c++ code for the debuginfod server, which I assume needs some CXXFLAGS too?


Here is example from my own build environment.
Below macro is used by %meso, %configure, %cmake and few other.
Only changing that macro it is possible to control LTO and other things 100% transparently without touching any rpm spec file, or build framework tooling.

$ rpm -E %set_build_flags

        export CFLAGS="${CFLAGS:--O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -flto=auto -flto-partition=none}";
        export CXXFLAGS="${CXXFLAGS:--O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -flto=auto -flto-partition=none}";
        export FFLAGS="${FFLAGS:--O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -I/usr/lib64/gfortran/modules -flto=auto -flto-partition=none}";
        export FCFLAGS="${FCFLAGS:--O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -I/usr/lib64/gfortran/modules -flto=auto -flto-partition=none}";
        export LDFLAGS="${LDFLAGS:--Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -flto=auto -flto-partition=none -fuse-linker-plugin}";
        export AR="/usr/bin/gcc-ar" RANLIB="/usr/bin/gcc-ranlib" NM="/usr/bin/gcc-nm";
        export CC="gcc" CXX="g++"

I can change as well from GCC to CLang without changes in any build framework or rpm spec file.

So again: things like LTO, PGO and any even any future optimizations should be NEVER EVER implemented in build frameworks because all currently available frameworks are using above env variables.
Comment 15 Mark Wielaard 2020-04-16 16:00:43 UTC
Thanks for that setup. It allows me to play a bit more with LTO.

One commit to help with one issue has been pushed already:

commit 39f28eaf8c821d71d57ffc759655ec4168d0bead
Author: Mark Wielaard <mark@klomp.org>
Date:   Thu Apr 16 17:45:31 2020 +0200

    libdwfl: Initialize bits to NULL in dwfl_standard_find_debuginfo for LTO.
    
    GCC10 LTO is too smart (and somewhat cryptic):
    
        find-debuginfo.c: In function ‘dwfl_standard_find_debuginfo’:
        debuginfod-client.c:85:8: error: ‘bits’ may be used uninitialized
        in this function [-Werror=maybe-uninitialized]
        find-debuginfo.c:360:24: note: ‘bits’ was declared here
        lto1: all warnings being treated as errors
    
    So it inlines __libdwfl_debuginfod_find_debuginfo into
    dwfl_standard_find_debuginfo and since it cannot see into the
    function pointer (*fp_debuginfod_find_debuginfo), it assumes that
    build_id_bit (== bits in dwfl_standard_find_debuginfo) will be used
    by the called function and it might not be initialized.
    But if you read the code the there is a check for build_id_len > 0
    to see whether bits is or isn't initialized before using bits.
    But gcc isn't smart enough to figure that out.
    
    Maybe that actually should be an heuristic gcc lto should use.
    If the callchain I am inlining is so deep that I cannot figure out
    maybe-uninitialized variables anymore I should stop inlining.
    
    For now just help GCC out and initialize bits to NULL.
    
    Signed-off-by: Mark Wielaard <mark@klomp.org>

I am not sure what to do about the various error: stack usage might be unbounded [-Werror=stack-usage=] when "linking" the various tools.

If you look at the src/Makefile.am you'll see that for each file we make sure to build with -Wno-stack-usage= But since lto1 combines both files that have been compiled with and without that warning flag it reappears again.

The only workaround for now is using CFLAGS="... -Wno-error=stack-usage=" when building inside the src/ directory. Which is a little ugly because it will disable the error also when it should be checked...
Comment 16 Mark Wielaard 2020-04-16 17:04:52 UTC
Various self tests fail when everything is build with LTO.

In particular various files contain .gnu.lto_ sections with SHF_EXCLUDE set.
This is an interesting flag since it is treated as a generic section flag, but really isn't. I proposed the following patch to work around it for now:
https://sourceware.org/pipermail/elfutils-devel/2020q2/002625.html
But see also the following discussion:
https://sourceware.org/pipermail/binutils/2020-April/110691.html

Another issue is that ET_REL files don't contain normal DWARF .debug_ sections, but .gnu.debuglto_.debug_* sections. Which libdw doesn't recognize. Still working on that.
Comment 17 Mark Wielaard 2020-04-17 09:42:40 UTC
(In reply to Mark Wielaard from comment #16)
> Various self tests fail when everything is build with LTO.
> [...]
> Another issue is that ET_REL files don't contain normal DWARF .debug_
> sections, but .gnu.debuglto_.debug_* sections. Which libdw doesn't
> recognize. Still working on that.

Patch to handle those posted:
https://sourceware.org/pipermail/elfutils-devel/2020q2/002627.html

With this and the SHF_EXCLUDE patch there are only 2 more test failures, test-nlist and run-varlocs-self.sh, which look like they can be solved by be a bit more careful what to check (test-nlist relies on symbols being in the source file declared order, run-varlocs-self.sh relies on ET_REL debuginfo containing addresses).
Comment 18 Mark Wielaard 2020-04-17 10:36:03 UTC
(In reply to Mark Wielaard from comment #17)
> With this and the SHF_EXCLUDE patch there are only 2 more test failures,
> test-nlist and run-varlocs-self.sh, which look like they can be solved by be
> a bit more careful what to check (test-nlist relies on symbols being in the
> source file declared order, run-varlocs-self.sh relies on ET_REL debuginfo
> containing addresses).

Patches for both issues have been posted:
https://sourceware.org/pipermail/elfutils-devel/2020q2/002629.html
https://sourceware.org/pipermail/elfutils-devel/2020q2/002630.html
Comment 19 Mark Wielaard 2020-05-06 14:39:19 UTC
The following now works with current git master:

$ export AR=gcc-ar RANLIB=gcc-ranlib NM=gcc-nm
$ autoreconf -f -v -i
$ ./configure --enable-maintainer-mode CFLAGS="-O2 -g -flto -flto-partition=none -Wno-error=stack-usage=" CXXFLAGS="-O2 -g -flto -flto-partition=none"
$ make -j4
$ make check -j4

# TOTAL: 218
# PASS:  216
# SKIP:  2
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0

The -flto-partition=none workaround is still needed issues with symbol versioning (even with the new gcc symver support we'll still get multiple defined symbols).

The -Wno-error=stack-usage= is needed for "linking" the various tools in src (they have -Wno-stack-usage= in src/Makefile.am, but it links with some code in lib/ which doesn't...)
Comment 20 kloczek 2020-05-06 15:23:26 UTC
Just tretested using latest binutils and gcc and looksl like it compiles and links correctly.

Despite that test suite is not possing:

/usr/bin/make  check-TESTS
PASS: newfile
PASS: update1
FAIL: test-nlist
PASS: update2
PASS: newscn
PASS: hash
PASS: update4
PASS: update3
PASS: run-get-aranges.sh
PASS: run-show-abbrev.sh
PASS: run-ecp-test.sh
PASS: run-ecp-test2.sh
PASS: run-get-pubnames.sh
PASS: run-unstrip-M.sh
PASS: run-get-lines.sh
PASS: run-ranlib-test.sh
PASS: run-alldts.sh
PASS: run-ranlib-test2.sh
PASS: run-ar.sh
PASS: run-show-die-info.sh
PASS: run-allfcts.sh
PASS: run-ranlib-test3.sh
PASS: run-strip-groups.sh
PASS: run-unstrip-test2.sh
PASS: run-next-lines.sh
PASS: run-unstrip-test.sh
PASS: run-unstrip-test3.sh
PASS: run-elfstrmerge-test.sh
PASS: run-get-files.sh
PASS: run-ranlib-test4.sh
PASS: run-next-files.sh
PASS: run-line2addr.sh
PASS: run-unstrip-test4.sh
PASS: run-funcscopes.sh
PASS: run-addrscopes.sh
PASS: run-readelf-const-values.sh
PASS: run-strip-test3.sh
PASS: run-readelf-info-plus.sh
FAIL: run-elflint-self.sh
PASS: run-readelf-test1.sh
PASS: run-strip-test11.sh
PASS: run-strings-test.sh
PASS: run-readelf-test3.sh
PASS: run-strip-test2.sh
PASS: run-strip-test12.sh
PASS: run-strip-nobitsalign.sh
PASS: run-readelf-test4.sh
FAIL: run-strip-strmerge.sh
PASS: run-strip-test9.sh
PASS: run-readelf-macro.sh
PASS: run-strip-test.sh
PASS: run-readelf-compressed.sh
PASS: run-strip-nothing.sh
PASS: run-readelf-test2.sh
PASS: run-readelf-twofiles.sh
PASS: dwfl-bug-addr-overflow
PASS: dwfl-bug-report
PASS: run-strip-test10.sh
PASS: run-readelf-aranges.sh
PASS: dwfl-report-segment-contiguous
PASS: run-strip-test4.sh
PASS: run-strip-test7.sh
PASS: run-strip-test5.sh
PASS: run-strip-test6.sh
PASS: run-strip-test8.sh
PASS: run-strip-g.sh
PASS: run-early-offscn.sh
PASS: run-debuglink.sh
PASS: run-dwfl-bug-offline-rel.sh
PASS: run-test-flag-nobits.sh
PASS: run-debugaltlink.sh
PASS: run-elflint-test.sh
PASS: run-bug1-test.sh
FAIL: run-varlocs-self.sh
PASS: run-buildid.sh
PASS: run-dwarf-getstring.sh
PASS: run-dwfl-addr-sect.sh
PASS: run-elf_cntl_gelf_getshdr.sh
PASS: run-dwarfcfi.sh
PASS: run-readelf-d.sh
FAIL: run-exprlocs-self.sh
PASS: run-rerequest_tag.sh
PASS: run-disasm-x86.sh
PASS: run-disasm-x86-64.sh
PASS: run-readelf-vmcoreinfo.sh
PASS: run-readelf-gdb_index.sh
PASS: run-find-prologues.sh
PASS: run-typeiter.sh
PASS: run-dwfl-report-elf-align.sh
PASS: run-macro-test.sh
PASS: run-readelf-variant.sh
PASS: run-test-archive64.sh
PASS: run-addr2line-i-demangle-test.sh
PASS: run-dwarf-getmacros.sh
PASS: run-addrcfi.sh
PASS: run-annobingroup.sh
PASS: run-readelf-line.sh
PASS: run-exprlocs.sh
PASS: run-funcretval.sh
PASS: run-unstrip-n.sh
PASS: run-readelf-z.sh
PASS: run-dwarf-ranges.sh
PASS: run-readelf-ranges.sh
PASS: run-backtrace-dwarf.sh
PASS: run-readelf-n.sh
PASS: run-addr2line-alt-debugpath.sh
PASS: run-readelf-loc.sh
PASS: run-backtrace-native.sh
PASS: run-backtrace-data.sh
PASS: run-backtrace-native-biarch.sh
PASS: run-addr2line-i-lex-test.sh
PASS: run-backtrace-demangle.sh
PASS: run-readelf-zp.sh
PASS: run-backtrace-core-x86_64.sh
PASS: run-backtrace-fp-core-x86_64.sh
PASS: run-backtrace-fp-core-aarch64.sh
PASS: vdsosyms
PASS: run-backtrace-fp-core-ppc64le.sh
PASS: run-stack-i-test.sh
PASS: run-dwfllines.sh
PASS: run-backtrace-core-x32.sh
PASS: run-backtrace-fp-core-i386.sh
PASS: run-readelf-types.sh
PASS: run-backtrace-core-i386.sh
PASS: run-backtrace-core-ppc.sh
PASS: run-backtrace-core-aarch64.sh
PASS: run-backtrace-core-s390.sh
PASS: run-readelf-addr.sh
PASS: run-low_high_pc.sh
PASS: newdata
PASS: elfstrtab
PASS: run-backtrace-core-sparc.sh
PASS: elfshphehdr
PASS: run-backtrace-core-s390x.sh
PASS: dwfl-proc-attach
PASS: run-native-test.sh
PASS: run-readelf-str.sh
PASS: run-readelf-mixed-corenote.sh
PASS: run-stack-d-test.sh
PASS: run-linkmap-cut.sh
PASS: run-addr2line-test.sh
PASS: run-readelf-zx.sh
PASS: emptyfile
PASS: vendorelf
PASS: run-strptr.sh
SKIP: run-lfs-symbols.sh
PASS: fillfile
PASS: dwarf_default_lower_bound
PASS: run-stack-demangled-test.sh
PASS: run-peel-type.sh
PASS: run-allregs.sh
PASS: run-zstrptr.sh
PASS: run-aggregate-size.sh
PASS: run-allfcts-multi.sh
PASS: run-getsrc-die.sh
PASS: run-addr2line-i-test.sh
PASS: run-addrname-test.sh
PASS: run-reloc-bpf.sh
PASS: run-readelf-A.sh
PASS: run-varlocs.sh
PASS: run-elfputzdata.sh
PASS: msg_tst
PASS: run-readelf-dwz-multi.sh
PASS: run-all-dwarf-ranges.sh
PASS: run-readelf-discr.sh
PASS: run-dwelfgnucompressed.sh
PASS: system-elf-libelf-test
PASS: run-attr-integrate-skel.sh
PASS: asm-tst1
PASS: asm-tst2
PASS: run-strip-version.sh
PASS: run-disasm-riscv64.sh
PASS: asm-tst3
PASS: dwfl-bug-fd-leak
PASS: asm-tst7
PASS: run-dwelf_elf_e_machine_string.sh
PASS: asm-tst8
PASS: asm-tst9
PASS: run-elfgetzdata.sh
PASS: run-getphdrnum.sh
PASS: run-xlate-note.sh
PASS: run-deleted.sh
PASS: run-next-cfi-self.sh
PASS: run-next-cfi.sh
PASS: run-pt_gnu_prop-tests.sh
PASS: run-elfgetchdr.sh
PASS: run-disasm-bpf.sh
PASS: asm-tst4
PASS: asm-tst6
FAIL: run-get-units-invalid.sh
PASS: run-strip-remove-keep.sh
PASS: run-typeiter-many.sh
PASS: run-unit-info.sh
PASS: run-get-units-split.sh
PASS: asm-tst5
PASS: run-prelink-addr-test.sh
FAIL: run-dwarf-die-addr-die.sh
PASS: run-readelf-zdebug.sh
PASS: run-readelf-zdebug-rel.sh
PASS: run-readelf-s.sh
FAIL: run-reverse-sections-self.sh
PASS: run-reverse-sections.sh
PASS: run-backtrace-native-core.sh
PASS: run-dwflsyms.sh
PASS: run-elfclassify-self.sh
PASS: run-copyadd-sections.sh
PASS: run-arextract.sh
FAIL: run-readelf-self.sh
PASS: run-nm-self.sh
PASS: run-strip-test-many.sh
PASS: run-backtrace-native-core-biarch.sh
PASS: run-elfclassify.sh
PASS: run-compress-test.sh
PASS: run-arsymtest.sh
PASS: run-debuginfod-find.sh
PASS: run-copymany-sections.sh
FAIL: run-strip-reloc.sh
PASS: run-large-elf-file.sh
==========================================
   elfutils 0.179: tests/test-suite.log
==========================================

# TOTAL: 218
# PASS:  207
# SKIP:  1
# XFAIL: 0
# FAIL:  10
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test-nlist
================

FAIL test-nlist (exit status: 1)

FAIL: run-strip-reloc.sh
========================

runtest hello_i386.ko
runtest hello_x86_64.ko
runtest hello_ppc64.ko
runtest hello_s390.ko
runtest hello_aarch64.ko
runtest hello_m68k.ko
runtest hello_riscv64.ko
runtest hello_csky.ko
runtest /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip
runtest /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
*** failure --reloc-debug-sections not smaller /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure readelf -w debugfile1 /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure readelf -w debugfile2 /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
runtest strip-uncompressed.o
*** failure --reloc-debug-sections not smaller strip-uncompressed.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure readelf -w debugfile1 strip-uncompressed.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure readelf -w debugfile2 strip-uncompressed.o
runtest strip-compressed.o
*** failure --reloc-debug-sections not smaller strip-compressed.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure readelf -w debugfile1 strip-compressed.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure readelf -w debugfile2 strip-compressed.o
runtest testfile-debug-rel-ppc64.o
runtest testfile-debug-rel-ppc64-z.o
runtest testfile-debug-rel-ppc64-g.o
FAIL run-strip-reloc.sh (exit status: 1)

FAIL: run-strip-strmerge.sh
===========================

elflint /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/elfstrmerge
No errors
elfstrmerge
elflint merged.elf
No errors
strip
elflint merged.elf.stripped
No errors
elflint merged.elf.debug
No errors
unstrip
elflint remerged.elf
No errors
elfcmp
elflint /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/elfstrmerge.o
section [22] '.gnu.debuglto_.debug_info' contains invalid processor-specific flag(s) 0x80000000
section [24] '.gnu.debuglto_.debug_abbrev' contains invalid processor-specific flag(s) 0x80000000
section [25] '.gnu.debuglto_.debug_line' contains invalid processor-specific flag(s) 0x80000000
section [26] '.gnu.debuglto_.debug_str' contains invalid processor-specific flag(s) 0x80000000
section [27] '.gnu.lto_.profile.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [28] '.gnu.lto_.icf.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [29] '.gnu.lto_.jmpfuncs.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [30] '.gnu.lto_.ipa_sra.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [31] '.gnu.lto_.inline.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [32] '.gnu.lto_.pureconst.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [33] '.gnu.lto_.lto.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [34] '.gnu.lto_newstrtabdata.106.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [35] '.gnu.lto_release.109.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [36] '.gnu.lto_fail.110.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [37] '.gnu.lto_fail_errno.111.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [38] '.gnu.lto_fail_idx.112.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [39] '.gnu.lto_fail_elf.113.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [40] '.gnu.lto_fail_elf_idx.114.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [41] '.gnu.lto_newsecndx.1.115.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [42] '.gnu.lto_main.116.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [43] '.gnu.lto_new_data_buf.0.117.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [44] '.gnu.lto_.symbol_nodes.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [45] '.gnu.lto_.refs.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [46] '.gnu.lto_.decls.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [47] '.gnu.lto_.symtab.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [48] '.gnu.lto_.ext_symtab.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [49] '.gnu.lto_.opts' contains invalid processor-specific flag(s) 0x80000000
FAIL run-strip-strmerge.sh (exit status: 1)

FAIL: run-elflint-self.sh
=========================

section [22] '.gnu.debuglto_.debug_info' contains invalid processor-specific flag(s) 0x80000000
section [24] '.gnu.debuglto_.debug_abbrev' contains invalid processor-specific flag(s) 0x80000000
section [25] '.gnu.debuglto_.debug_line' contains invalid processor-specific flag(s) 0x80000000
section [26] '.gnu.debuglto_.debug_str' contains invalid processor-specific flag(s) 0x80000000
section [27] '.gnu.lto_.profile.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [28] '.gnu.lto_.icf.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [29] '.gnu.lto_.jmpfuncs.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [30] '.gnu.lto_.ipa_sra.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [31] '.gnu.lto_.inline.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [32] '.gnu.lto_.pureconst.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [33] '.gnu.lto_.lto.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [34] '.gnu.lto_argp_program_version_hook.90.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [35] '.gnu.lto_argp_program_bug_address.91.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [36] '.gnu.lto_options.92.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [37] '.gnu.lto_doc.93.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [38] '.gnu.lto_argp.95.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [39] '.gnu.lto_length_map.98.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [40] '.gnu.lto_main.101.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [41] '.gnu.lto_parse_opt.102.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [42] '.gnu.lto_process_file.103.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [43] '.gnu.lto_print_header.104.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [44] '.gnu.lto_handle_ar.105.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [45] '.gnu.lto_show_sysv.106.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [46] '.gnu.lto_show_sysv_one_line.107.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [47] '.gnu.lto_show_bsd.111.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [48] '.gnu.lto_show_bsd_totals.112.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [49] '.gnu.lto_show_segments.113.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [50] '.gnu.lto_handle_elf.114.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [51] '.gnu.lto_.symbol_nodes.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [52] '.gnu.lto_.refs.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [53] '.gnu.lto_.decls.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [54] '.gnu.lto_.symtab.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [55] '.gnu.lto_.ext_symtab.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [56] '.gnu.lto_.opts' contains invalid processor-specific flag(s) 0x80000000
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/elflint --quiet --gnu-ld /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o
section [22] '.gnu.debuglto_.debug_info' contains invalid processor-specific flag(s) 0x80000000
section [24] '.gnu.debuglto_.debug_abbrev' contains invalid processor-specific flag(s) 0x80000000
section [25] '.gnu.debuglto_.debug_line' contains invalid processor-specific flag(s) 0x80000000
section [26] '.gnu.debuglto_.debug_str' contains invalid processor-specific flag(s) 0x80000000
section [27] '.gnu.lto_.profile.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [28] '.gnu.lto_.icf.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [29] '.gnu.lto_.jmpfuncs.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [30] '.gnu.lto_.ipa_sra.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [31] '.gnu.lto_.inline.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [32] '.gnu.lto_.pureconst.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [33] '.gnu.lto_.lto.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [34] '.gnu.lto_pwrite_retry.95.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [35] '.gnu.lto_argp_program_version_hook.98.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [36] '.gnu.lto_argp_program_bug_address.99.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [37] '.gnu.lto_options.100.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [38] '.gnu.lto_doc.101.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [39] '.gnu.lto_argp.103.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [40] '.gnu.lto_add_pattern.118.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [41] '.gnu.lto_free_sec_patterns.119.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [42] '.gnu.lto_free_patterns.120.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [43] '.gnu.lto_section_name_matches.121.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [44] '.gnu.lto_main.122.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [45] '.gnu.lto_parse_opt.123.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [46] '.gnu.lto_secndx_name.124.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [47] '.gnu.lto_get_xndxdata.125.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [48] '.gnu.lto_update_shdrstrndx.126.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [49] '.gnu.lto_relocate.3.127.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [50] '.gnu.lto_remove_debug_relocations.128.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [51] '.gnu.lto_process_file.129.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [52] '.gnu.lto_handle_debug_relocs.130.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [53] '.gnu.lto_check_preserved.0.131.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [54] '.gnu.lto_handle_elf.132.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [55] '.gnu.lto_update_section_size.1.133.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [56] '.gnu.lto_no_symtab_updates.2.134.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [57] '.gnu.lto_cleanup_debug.part.0.247.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [58] '.gnu.lto_.symbol_nodes.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [59] '.gnu.lto_.refs.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [60] '.gnu.lto_.decls.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [61] '.gnu.lto_.symtab.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [62] '.gnu.lto_.ext_symtab.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [63] '.gnu.lto_.opts' contains invalid processor-specific flag(s) 0x80000000
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/elflint --quiet --gnu-ld /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
FAIL run-elflint-self.sh (exit status: 1)

FAIL: run-readelf-self.sh
=========================

/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf -a -w /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf -a -w /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
FAIL run-readelf-self.sh (exit status: 1)

FAIL: run-varlocs-self.sh
=========================

/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs: No DWARF CU found?
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs -e /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs: No DWARF CU found?
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs -e /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
FAIL run-varlocs-self.sh (exit status: 1)

FAIL: run-exprlocs-self.sh
==========================

/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs: No DWARF CU found?
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs --exprlocs -e /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs: No DWARF CU found?
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs --exprlocs -e /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
FAIL run-exprlocs-self.sh (exit status: 1)

SKIP: run-lfs-symbols.sh
========================

LFS testing is irrelevent on this system
SKIP run-lfs-symbols.sh (exit status: 77)

FAIL: run-dwarf-die-addr-die.sh
===============================

checking testfile-debug-types
checking CU at 0
checking TU at 0
checking Type DIE at 4f
checking TU at 43
checking Type DIE at 7f
checking 2 subdie
checking 2 subdie
checking testfile_multi_main
checking CU at 0
checking alt debug
checking CU at 0
checking testfilebazdbgppc64.debug
checking CU at 0
checking CU at 90
checking testfile-dwarf-4
checking CU at 0
checking CU at 211
checking testfile-dwarf-5
checking CU at 0
checking CU at 20c
checking testfile-splitdwarf-4
checking CU at 0
checking CU at 34
checking 4 subdie
checking 4 subdie
checking testfile-splitdwarf-5
checking CU at 0
checking CU at 35
checking 4 subdie
checking 4 subdie
checking testfile-hello4.dwo
checking CU at 0
checking testfile-world4.dwo
checking CU at 0
checking testfile-hello5.dwo
checking CU at 0
checking testfile-world5.dwo
checking CU at 0
checking /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/addr2line
checking CU at 0
checking CU at 2851
checking CU at 438d
checking /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/elfclassify
checking CU at 0
checking CU at 2096
checking CU at 3415
checking /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/stack
checking CU at 0
checking CU at 282a
checking CU at 421b
checking /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/unstrip
checking CU at 0
checking CU at 838f
checking CU at b5a4
checking CU at b6cf
checking /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/libelf/libelf.so
checking CU at 0
checking CU at 1709e
checking CU at 17335
checking CU at 17415
checking CU at 17768
checking CU at 178b4
checking CU at 19604
checking CU at 1a5b9
checking CU at 1b53b
checking CU at 1c598
checking CU at 1d50e
checking CU at 1e484
checking CU at 1f3fa
checking CU at 20386
checking CU at 20665
checking CU at 20944
checking CU at 21a5a
checking CU at 21e78
checking CU at 22296
checking CU at 226b4
checking CU at 22ad2
checking CU at 24d65
checking CU at 25e7c
checking CU at 26f93
checking CU at 28103
checking CU at 2922a
checking CU at 2a351
checking CU at 2b2d3
checking CU at 2c449
checking CU at 2d776
checking CU at 2eac0
checking CU at 2fc39
checking CU at 30dec
checking CU at 31f9f
checking CU at 32f21
checking CU at 340bb
checking CU at 351be
checking CU at 36646
checking CU at 3772d
checking CU at 38af4
checking CU at 39bc9
checking CU at 3ad03
checking CU at 3bcc4
checking CU at 3cc3a
checking CU at 3dd9e
checking CU at 3f133
checking CU at 404e5
checking CU at 4163a
checking CU at 427bc
checking CU at 43981
checking CU at 44a76
checking CU at 45ffb
checking CU at 47119
checking CU at 48451
checking CU at 49553
checking CU at 4a655
checking CU at 4b757
checking CU at 4c859
checking CU at 4d95b
checking CU at 4ea79
checking CU at 4fb42
checking CU at 50e38
checking CU at 52329
checking CU at 53828
checking CU at 5555a
checking CU at 5728c
checking CU at 584ca
checking CU at 59712
checking CU at 5a85c
checking CU at 5ba1c
checking CU at 5cbdc
checking CU at 5ddb8
checking CU at 5ef4e
checking CU at 60127
checking CU at 6134c
checking CU at 6250c
checking CU at 63718
checking CU at 64954
checking CU at 65b8e
checking CU at 66d20
checking CU at 67ec5
checking CU at 69021
checking CU at 6a1bc
checking CU at 6b3f0
checking CU at 6c5e0
checking CU at 6d785
checking CU at 6e734
checking CU at 6f6e3
checking CU at 70bb7
checking CU at 71e2b
checking CU at 730a9
checking CU at 741fc
checking CU at 753e3
checking CU at 765ca
checking CU at 777cd
checking CU at 7898a
checking CU at 79b37
checking CU at 7ac53
checking CU at 7be9d
checking CU at 7ce13
checking CU at 7df63
checking CU at 7f0b3
checking CU at 7f1af
checking CU at 7f249
checking CU at 803f1
checking CU at 81581
checking CU at 8271b
checking CU at 83810
checking CU at 84905
checking CU at 859da
checking CU at 86983
checking CU at 86a34
checking CU at 879c4
checking CU at 88ae9
checking CU at 89c1c
checking CU at 8adb9
checking CU at 8c59d
checking /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/libasm/libasm.so
checking CU at 0
checking CU at 4d25
checking CU at 5889
checking CU at 604a
checking CU at 701c
checking CU at 7173
checking CU at 7934
checking CU at 843d
checking CU at 8d55
checking CU at 9539
checking CU at 9e8d
checking CU at a755
checking CU at b01d
checking CU at b8f2
checking CU at c0d5
checking CU at c924
checking CU at d24b
checking CU at db20
checking CU at e41d
checking CU at ec02
checking CU at f530
checking CU at fd2d
checking CU at 1064f
checking CU at 10e34
checking CU at 1176e
checking CU at 11f53
checking CU at 12842
checking CU at 13155
checking CU at 1422f
checking CU at 155d9
checking CU at 1578c
checking CU at 15a94
checking CU at 16449
checking CU at 1745c
checking CU at 1846f
Not a Dwarf file '/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o': no DWARF information
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/dwarf-die-addr-die /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o
Not a Dwarf file '/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o': no DWARF information
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/dwarf-die-addr-die /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
FAIL run-dwarf-die-addr-die.sh (exit status: 1)

FAIL: run-get-units-invalid.sh
==============================

file: testfile-debug-types
Got cudie: (null), unit_type: 1
Got cudie: (null), unit_type: 2
subdie: B
Got cudie: (null), unit_type: 2
subdie: A

file: testfile_multi_main
Got cudie: main.c, unit_type: 1

file: testfilebazdbgppc64.debug
Got cudie: foo.c, unit_type: 1
Got cudie: bar.c, unit_type: 1

file: testfile-dwarf-4
Got cudie: hello.c, unit_type: 1
Got cudie: world.c, unit_type: 1

file: testfile-dwarf-5
Got cudie: hello.c, unit_type: 1
Got cudie: world.c, unit_type: 1

file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/addr2line
Got cudie: <artificial>, unit_type: 1
Got cudie: addr2line.c, unit_type: 1
Got cudie: printversion.c, unit_type: 1

file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/elfclassify
Got cudie: <artificial>, unit_type: 1
Got cudie: elfclassify.c, unit_type: 1
Got cudie: printversion.c, unit_type: 1

file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/stack
Got cudie: <artificial>, unit_type: 1
Got cudie: stack.c, unit_type: 1
Got cudie: printversion.c, unit_type: 1

file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/unstrip
Got cudie: <artificial>, unit_type: 1
Got cudie: unstrip.c, unit_type: 1
Got cudie: xmalloc.c, unit_type: 1
Got cudie: printversion.c, unit_type: 1

file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/libelf/libelf.so
Got cudie: <artificial>, unit_type: 1
Got cudie: elf_version.c, unit_type: 1
Got cudie: elf_hash.c, unit_type: 1
Got cudie: elf_error.c, unit_type: 1
Got cudie: elf_fill.c, unit_type: 1
Got cudie: elf_begin.c, unit_type: 1
Got cudie: elf_next.c, unit_type: 1
Got cudie: elf_rand.c, unit_type: 1
Got cudie: elf_end.c, unit_type: 1
Got cudie: elf_kind.c, unit_type: 1
Got cudie: gelf_getclass.c, unit_type: 1
Got cudie: elf_getbase.c, unit_type: 1
Got cudie: elf_getident.c, unit_type: 1
Got cudie: elf32_fsize.c, unit_type: 1
Got cudie: elf64_fsize.c, unit_type: 1
Got cudie: gelf_fsize.c, unit_type: 1
Got cudie: elf32_xlatetof.c, unit_type: 1
Got cudie: elf32_xlatetom.c, unit_type: 1
Got cudie: elf64_xlatetof.c, unit_type: 1
Got cudie: elf64_xlatetom.c, unit_type: 1
Got cudie: gelf_xlate.c, unit_type: 1
Got cudie: elf32_getehdr.c, unit_type: 1
Got cudie: elf64_getehdr.c, unit_type: 1
Got cudie: gelf_getehdr.c, unit_type: 1
Got cudie: elf32_newehdr.c, unit_type: 1
Got cudie: elf64_newehdr.c, unit_type: 1
Got cudie: gelf_newehdr.c, unit_type: 1
Got cudie: gelf_update_ehdr.c, unit_type: 1
Got cudie: elf32_getphdr.c, unit_type: 1
Got cudie: elf64_getphdr.c, unit_type: 1
Got cudie: gelf_getphdr.c, unit_type: 1
Got cudie: elf32_newphdr.c, unit_type: 1
Got cudie: elf64_newphdr.c, unit_type: 1
Got cudie: gelf_newphdr.c, unit_type: 1
Got cudie: gelf_update_phdr.c, unit_type: 1
Got cudie: elf_getarhdr.c, unit_type: 1
Got cudie: elf_getarsym.c, unit_type: 1
Got cudie: elf_rawfile.c, unit_type: 1
Got cudie: elf_readall.c, unit_type: 1
Got cudie: elf_cntl.c, unit_type: 1
Got cudie: elf_getscn.c, unit_type: 1
Got cudie: elf_nextscn.c, unit_type: 1
Got cudie: elf_ndxscn.c, unit_type: 1
Got cudie: elf_newscn.c, unit_type: 1
Got cudie: elf32_getshdr.c, unit_type: 1
Got cudie: elf64_getshdr.c, unit_type: 1
Got cudie: gelf_getshdr.c, unit_type: 1
Got cudie: gelf_update_shdr.c, unit_type: 1
Got cudie: elf_strptr.c, unit_type: 1
Got cudie: elf_rawdata.c, unit_type: 1
Got cudie: elf_getdata.c, unit_type: 1
Got cudie: elf_newdata.c, unit_type: 1
Got cudie: elf_getdata_rawchunk.c, unit_type: 1
Got cudie: elf_flagelf.c, unit_type: 1
Got cudie: elf_flagehdr.c, unit_type: 1
Got cudie: elf_flagphdr.c, unit_type: 1
Got cudie: elf_flagscn.c, unit_type: 1
Got cudie: elf_flagshdr.c, unit_type: 1
Got cudie: elf_flagdata.c, unit_type: 1
Got cudie: elf_memory.c, unit_type: 1
Got cudie: elf_update.c, unit_type: 1
Got cudie: elf32_updatenull.c, unit_type: 1
Got cudie: elf64_updatenull.c, unit_type: 1
Got cudie: elf32_updatefile.c, unit_type: 1
Got cudie: elf64_updatefile.c, unit_type: 1
Got cudie: gelf_getsym.c, unit_type: 1
Got cudie: gelf_update_sym.c, unit_type: 1
Got cudie: gelf_getversym.c, unit_type: 1
Got cudie: gelf_getverneed.c, unit_type: 1
Got cudie: gelf_getvernaux.c, unit_type: 1
Got cudie: gelf_getverdef.c, unit_type: 1
Got cudie: gelf_getverdaux.c, unit_type: 1
Got cudie: gelf_getrel.c, unit_type: 1
Got cudie: gelf_getrela.c, unit_type: 1
Got cudie: gelf_update_rel.c, unit_type: 1
Got cudie: gelf_update_rela.c, unit_type: 1
Got cudie: gelf_getdyn.c, unit_type: 1
Got cudie: gelf_update_dyn.c, unit_type: 1
Got cudie: gelf_getmove.c, unit_type: 1
Got cudie: gelf_update_move.c, unit_type: 1
Got cudie: gelf_getsyminfo.c, unit_type: 1
Got cudie: gelf_update_syminfo.c, unit_type: 1
Got cudie: gelf_getauxv.c, unit_type: 1
Got cudie: gelf_update_auxv.c, unit_type: 1
Got cudie: gelf_getnote.c, unit_type: 1
Got cudie: gelf_xlatetof.c, unit_type: 1
Got cudie: gelf_xlatetom.c, unit_type: 1
Got cudie: nlist.c, unit_type: 1
Got cudie: gelf_getsymshndx.c, unit_type: 1
Got cudie: gelf_update_symshndx.c, unit_type: 1
Got cudie: gelf_update_versym.c, unit_type: 1
Got cudie: gelf_update_verneed.c, unit_type: 1
Got cudie: gelf_update_vernaux.c, unit_type: 1
Got cudie: gelf_update_verdef.c, unit_type: 1
Got cudie: gelf_update_verdaux.c, unit_type: 1
Got cudie: elf_getphdrnum.c, unit_type: 1
Got cudie: elf_getshdrnum.c, unit_type: 1
Got cudie: elf_getshdrstrndx.c, unit_type: 1
Got cudie: gelf_checksum.c, unit_type: 1
Got cudie: elf32_checksum.c, unit_type: 1
Got cudie: elf64_checksum.c, unit_type: 1
Got cudie: libelf_crc32.c, unit_type: 1
Got cudie: libelf_next_prime.c, unit_type: 1
Got cudie: elf_clone.c, unit_type: 1
Got cudie: gelf_getlib.c, unit_type: 1
Got cudie: gelf_update_lib.c, unit_type: 1
Got cudie: elf32_offscn.c, unit_type: 1
Got cudie: elf64_offscn.c, unit_type: 1
Got cudie: gelf_offscn.c, unit_type: 1
Got cudie: elf_getaroff.c, unit_type: 1
Got cudie: elf_gnu_hash.c, unit_type: 1
Got cudie: elf_scnshndx.c, unit_type: 1
Got cudie: elf32_getchdr.c, unit_type: 1
Got cudie: elf64_getchdr.c, unit_type: 1
Got cudie: gelf_getchdr.c, unit_type: 1
Got cudie: elf_compress.c, unit_type: 1
Got cudie: elf_compress_gnu.c, unit_type: 1

file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/libasm/libasm.so
Got cudie: <artificial>, unit_type: 1
Got cudie: asm_begin.c, unit_type: 1
Got cudie: asm_abort.c, unit_type: 1
Got cudie: asm_end.c, unit_type: 1
Got cudie: asm_error.c, unit_type: 1
Got cudie: asm_getelf.c, unit_type: 1
Got cudie: asm_newscn.c, unit_type: 1
Got cudie: asm_newscn_ingrp.c, unit_type: 1
Got cudie: asm_newsubscn.c, unit_type: 1
Got cudie: asm_newsym.c, unit_type: 1
Got cudie: asm_newcomsym.c, unit_type: 1
Got cudie: asm_newabssym.c, unit_type: 1
Got cudie: asm_newscngrp.c, unit_type: 1
Got cudie: asm_scngrp_newsignature.c, unit_type: 1
Got cudie: asm_fill.c, unit_type: 1
Got cudie: asm_align.c, unit_type: 1
Got cudie: asm_addstrz.c, unit_type: 1
Got cudie: asm_addint8.c, unit_type: 1
Got cudie: asm_adduint8.c, unit_type: 1
Got cudie: asm_addint16.c, unit_type: 1
Got cudie: asm_adduint16.c, unit_type: 1
Got cudie: asm_addint32.c, unit_type: 1
Got cudie: asm_adduint32.c, unit_type: 1
Got cudie: asm_addint64.c, unit_type: 1
Got cudie: asm_adduint64.c, unit_type: 1
Got cudie: asm_adduleb128.c, unit_type: 1
Got cudie: asm_addsleb128.c, unit_type: 1
Got cudie: disasm_begin.c, unit_type: 1
Got cudie: disasm_cb.c, unit_type: 1
Got cudie: disasm_end.c, unit_type: 1
Got cudie: disasm_str.c, unit_type: 1
Got cudie: symbolhash.c, unit_type: 1
Got cudie: eblelfclass.c, unit_type: 1
Got cudie: eblelfdata.c, unit_type: 1
Got cudie: eblelfmachine.c, unit_type: 1

file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o not usable: no DWARF information
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/get-units-invalid /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o
file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o not usable: no DWARF information
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/get-units-invalid /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
FAIL run-get-units-invalid.sh (exit status: 1)

FAIL: run-reverse-sections-self.sh
==================================


copy_elf: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/addr2line -> addr2line.rev (read,reverse)
setshstrndx: 38
Swapping offsets of section 29 and 30
Swapping offsets of section 31 and 32
Swapping offsets of section 33 and 34
Swapping offsets of section 37 and 38
No errors
elfrdwrdnop addr2line.rev
No errors

copy_elf: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/elfclassify -> elfclassify.rev (read,reverse)
setshstrndx: 38
Swapping offsets of section 29 and 30
Swapping offsets of section 31 and 32
Swapping offsets of section 33 and 34
Swapping offsets of section 37 and 38
No errors
elfrdwrdnop elfclassify.rev
No errors

copy_elf: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/stack -> stack.rev (read,reverse)
setshstrndx: 38
Swapping offsets of section 29 and 30
Swapping offsets of section 31 and 32
Swapping offsets of section 33 and 34
Swapping offsets of section 37 and 38
No errors
elfrdwrdnop stack.rev
No errors

copy_elf: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/unstrip -> unstrip.rev (read,reverse)
setshstrndx: 38
Swapping offsets of section 29 and 30
Swapping offsets of section 31 and 32
Swapping offsets of section 33 and 34
Swapping offsets of section 37 and 38
No errors
elfrdwrdnop unstrip.rev
No errors

copy_elf: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/libelf/libelf.so -> libelf.so.rev (read,reverse)
setshstrndx: 37
Swapping offsets of section 28 and 29
Swapping offsets of section 30 and 31
Swapping offsets of section 32 and 33
Swapping offsets of section 36 and 37
No errors
elfrdwrdnop libelf.so.rev
No errors

copy_elf: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/libasm/libasm.so -> libasm.so.rev (read,reverse)
setshstrndx: 37
Swapping offsets of section 28 and 29
Swapping offsets of section 30 and 31
Swapping offsets of section 32 and 33
Swapping offsets of section 36 and 37
No errors
elfrdwrdnop libasm.so.rev
No errors

copy_elf: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o -> size.o.rev (read,reverse)
setshstrndx: 74
Swapping offsets of section 5 and 6
Swapping offsets of section 24 and 25
Swapping offsets of section 26 and 27
Swapping offsets of section 28 and 29
Swapping offsets of section 30 and 31
Swapping offsets of section 32 and 33
Swapping offsets of section 34 and 35
Swapping offsets of section 36 and 37
Swapping offsets of section 38 and 39
Swapping offsets of section 40 and 41
Swapping offsets of section 42 and 43
Swapping offsets of section 44 and 45
Swapping offsets of section 46 and 47
Swapping offsets of section 48 and 49
Swapping offsets of section 50 and 51
Swapping offsets of section 52 and 53
Swapping offsets of section 54 and 55
Swapping offsets of section 56 and 57
Swapping offsets of section 58 and 59
Swapping offsets of section 60 and 61
Swapping offsets of section 62 and 63
Swapping offsets of section 64 and 65
Swapping offsets of section 66 and 67
Swapping offsets of section 68 and 69
section [22] '.gnu.debuglto_.debug_info' contains invalid processor-specific flag(s) 0x80000000
section [24] '.gnu.debuglto_.debug_abbrev' contains invalid processor-specific flag(s) 0x80000000
section [25] '.gnu.debuglto_.debug_line' contains invalid processor-specific flag(s) 0x80000000
section [26] '.gnu.debuglto_.debug_str' contains invalid processor-specific flag(s) 0x80000000
section [27] '.gnu.lto_.profile.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [28] '.gnu.lto_.icf.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [29] '.gnu.lto_.jmpfuncs.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [30] '.gnu.lto_.ipa_sra.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [31] '.gnu.lto_.inline.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [32] '.gnu.lto_.pureconst.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [33] '.gnu.lto_.lto.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [34] '.gnu.lto_argp_program_version_hook.90.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [35] '.gnu.lto_argp_program_bug_address.91.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [36] '.gnu.lto_options.92.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [37] '.gnu.lto_doc.93.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [38] '.gnu.lto_argp.95.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [39] '.gnu.lto_length_map.98.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [40] '.gnu.lto_main.101.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [41] '.gnu.lto_parse_opt.102.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [42] '.gnu.lto_process_file.103.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [43] '.gnu.lto_print_header.104.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [44] '.gnu.lto_handle_ar.105.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [45] '.gnu.lto_show_sysv.106.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [46] '.gnu.lto_show_sysv_one_line.107.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [47] '.gnu.lto_show_bsd.111.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [48] '.gnu.lto_show_bsd_totals.112.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [49] '.gnu.lto_show_segments.113.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [50] '.gnu.lto_handle_elf.114.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [51] '.gnu.lto_.symbol_nodes.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [52] '.gnu.lto_.refs.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [53] '.gnu.lto_.decls.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [54] '.gnu.lto_.symtab.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [55] '.gnu.lto_.ext_symtab.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [56] '.gnu.lto_.opts' contains invalid processor-specific flag(s) 0x80000000
FAIL run-reverse-sections-self.sh (exit status: 1)

============================================================================
Testsuite summary for elfutils 0.179
============================================================================
# TOTAL: 218
# PASS:  207
# SKIP:  1
# XFAIL: 0
# FAIL:  10
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to https://sourceware.org/bugzilla
============================================================================
make[3]: *** [Makefile:2432: test-suite.log] Error 1
make[2]: *** [Makefile:2540: check-TESTS] Error 2
make[1]: *** [Makefile:4133: check-am] Error 2
make: *** [Makefile:499: check-recursive] Error 1
Comment 21 kloczek 2020-05-06 15:25:08 UTC
Just tretested using latest binutils and gcc and looksl like it compiles and links correctly.

Despite that test suite is not possing:

/usr/bin/make  check-TESTS
PASS: newfile
PASS: update1
FAIL: test-nlist
PASS: update2
PASS: newscn
PASS: hash
PASS: update4
PASS: update3
PASS: run-get-aranges.sh
PASS: run-show-abbrev.sh
PASS: run-ecp-test.sh
PASS: run-ecp-test2.sh
PASS: run-get-pubnames.sh
PASS: run-unstrip-M.sh
PASS: run-get-lines.sh
PASS: run-ranlib-test.sh
PASS: run-alldts.sh
PASS: run-ranlib-test2.sh
PASS: run-ar.sh
PASS: run-show-die-info.sh
PASS: run-allfcts.sh
PASS: run-ranlib-test3.sh
PASS: run-strip-groups.sh
PASS: run-unstrip-test2.sh
PASS: run-next-lines.sh
PASS: run-unstrip-test.sh
PASS: run-unstrip-test3.sh
PASS: run-elfstrmerge-test.sh
PASS: run-get-files.sh
PASS: run-ranlib-test4.sh
PASS: run-next-files.sh
PASS: run-line2addr.sh
PASS: run-unstrip-test4.sh
PASS: run-funcscopes.sh
PASS: run-addrscopes.sh
PASS: run-readelf-const-values.sh
PASS: run-strip-test3.sh
PASS: run-readelf-info-plus.sh
FAIL: run-elflint-self.sh
PASS: run-readelf-test1.sh
PASS: run-strip-test11.sh
PASS: run-strings-test.sh
PASS: run-readelf-test3.sh
PASS: run-strip-test2.sh
PASS: run-strip-test12.sh
PASS: run-strip-nobitsalign.sh
PASS: run-readelf-test4.sh
FAIL: run-strip-strmerge.sh
PASS: run-strip-test9.sh
PASS: run-readelf-macro.sh
PASS: run-strip-test.sh
PASS: run-readelf-compressed.sh
PASS: run-strip-nothing.sh
PASS: run-readelf-test2.sh
PASS: run-readelf-twofiles.sh
PASS: dwfl-bug-addr-overflow
PASS: dwfl-bug-report
PASS: run-strip-test10.sh
PASS: run-readelf-aranges.sh
PASS: dwfl-report-segment-contiguous
PASS: run-strip-test4.sh
PASS: run-strip-test7.sh
PASS: run-strip-test5.sh
PASS: run-strip-test6.sh
PASS: run-strip-test8.sh
PASS: run-strip-g.sh
PASS: run-early-offscn.sh
PASS: run-debuglink.sh
PASS: run-dwfl-bug-offline-rel.sh
PASS: run-test-flag-nobits.sh
PASS: run-debugaltlink.sh
PASS: run-elflint-test.sh
PASS: run-bug1-test.sh
FAIL: run-varlocs-self.sh
PASS: run-buildid.sh
PASS: run-dwarf-getstring.sh
PASS: run-dwfl-addr-sect.sh
PASS: run-elf_cntl_gelf_getshdr.sh
PASS: run-dwarfcfi.sh
PASS: run-readelf-d.sh
FAIL: run-exprlocs-self.sh
PASS: run-rerequest_tag.sh
PASS: run-disasm-x86.sh
PASS: run-disasm-x86-64.sh
PASS: run-readelf-vmcoreinfo.sh
PASS: run-readelf-gdb_index.sh
PASS: run-find-prologues.sh
PASS: run-typeiter.sh
PASS: run-dwfl-report-elf-align.sh
PASS: run-macro-test.sh
PASS: run-readelf-variant.sh
PASS: run-test-archive64.sh
PASS: run-addr2line-i-demangle-test.sh
PASS: run-dwarf-getmacros.sh
PASS: run-addrcfi.sh
PASS: run-annobingroup.sh
PASS: run-readelf-line.sh
PASS: run-exprlocs.sh
PASS: run-funcretval.sh
PASS: run-unstrip-n.sh
PASS: run-readelf-z.sh
PASS: run-dwarf-ranges.sh
PASS: run-readelf-ranges.sh
PASS: run-backtrace-dwarf.sh
PASS: run-readelf-n.sh
PASS: run-addr2line-alt-debugpath.sh
PASS: run-readelf-loc.sh
PASS: run-backtrace-native.sh
PASS: run-backtrace-data.sh
PASS: run-backtrace-native-biarch.sh
PASS: run-addr2line-i-lex-test.sh
PASS: run-backtrace-demangle.sh
PASS: run-readelf-zp.sh
PASS: run-backtrace-core-x86_64.sh
PASS: run-backtrace-fp-core-x86_64.sh
PASS: run-backtrace-fp-core-aarch64.sh
PASS: vdsosyms
PASS: run-backtrace-fp-core-ppc64le.sh
PASS: run-stack-i-test.sh
PASS: run-dwfllines.sh
PASS: run-backtrace-core-x32.sh
PASS: run-backtrace-fp-core-i386.sh
PASS: run-readelf-types.sh
PASS: run-backtrace-core-i386.sh
PASS: run-backtrace-core-ppc.sh
PASS: run-backtrace-core-aarch64.sh
PASS: run-backtrace-core-s390.sh
PASS: run-readelf-addr.sh
PASS: run-low_high_pc.sh
PASS: newdata
PASS: elfstrtab
PASS: run-backtrace-core-sparc.sh
PASS: elfshphehdr
PASS: run-backtrace-core-s390x.sh
PASS: dwfl-proc-attach
PASS: run-native-test.sh
PASS: run-readelf-str.sh
PASS: run-readelf-mixed-corenote.sh
PASS: run-stack-d-test.sh
PASS: run-linkmap-cut.sh
PASS: run-addr2line-test.sh
PASS: run-readelf-zx.sh
PASS: emptyfile
PASS: vendorelf
PASS: run-strptr.sh
SKIP: run-lfs-symbols.sh
PASS: fillfile
PASS: dwarf_default_lower_bound
PASS: run-stack-demangled-test.sh
PASS: run-peel-type.sh
PASS: run-allregs.sh
PASS: run-zstrptr.sh
PASS: run-aggregate-size.sh
PASS: run-allfcts-multi.sh
PASS: run-getsrc-die.sh
PASS: run-addr2line-i-test.sh
PASS: run-addrname-test.sh
PASS: run-reloc-bpf.sh
PASS: run-readelf-A.sh
PASS: run-varlocs.sh
PASS: run-elfputzdata.sh
PASS: msg_tst
PASS: run-readelf-dwz-multi.sh
PASS: run-all-dwarf-ranges.sh
PASS: run-readelf-discr.sh
PASS: run-dwelfgnucompressed.sh
PASS: system-elf-libelf-test
PASS: run-attr-integrate-skel.sh
PASS: asm-tst1
PASS: asm-tst2
PASS: run-strip-version.sh
PASS: run-disasm-riscv64.sh
PASS: asm-tst3
PASS: dwfl-bug-fd-leak
PASS: asm-tst7
PASS: run-dwelf_elf_e_machine_string.sh
PASS: asm-tst8
PASS: asm-tst9
PASS: run-elfgetzdata.sh
PASS: run-getphdrnum.sh
PASS: run-xlate-note.sh
PASS: run-deleted.sh
PASS: run-next-cfi-self.sh
PASS: run-next-cfi.sh
PASS: run-pt_gnu_prop-tests.sh
PASS: run-elfgetchdr.sh
PASS: run-disasm-bpf.sh
PASS: asm-tst4
PASS: asm-tst6
FAIL: run-get-units-invalid.sh
PASS: run-strip-remove-keep.sh
PASS: run-typeiter-many.sh
PASS: run-unit-info.sh
PASS: run-get-units-split.sh
PASS: asm-tst5
PASS: run-prelink-addr-test.sh
FAIL: run-dwarf-die-addr-die.sh
PASS: run-readelf-zdebug.sh
PASS: run-readelf-zdebug-rel.sh
PASS: run-readelf-s.sh
FAIL: run-reverse-sections-self.sh
PASS: run-reverse-sections.sh
PASS: run-backtrace-native-core.sh
PASS: run-dwflsyms.sh
PASS: run-elfclassify-self.sh
PASS: run-copyadd-sections.sh
PASS: run-arextract.sh
FAIL: run-readelf-self.sh
PASS: run-nm-self.sh
PASS: run-strip-test-many.sh
PASS: run-backtrace-native-core-biarch.sh
PASS: run-elfclassify.sh
PASS: run-compress-test.sh
PASS: run-arsymtest.sh
PASS: run-debuginfod-find.sh
PASS: run-copymany-sections.sh
FAIL: run-strip-reloc.sh
PASS: run-large-elf-file.sh
==========================================
   elfutils 0.179: tests/test-suite.log
==========================================

# TOTAL: 218
# PASS:  207
# SKIP:  1
# XFAIL: 0
# FAIL:  10
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test-nlist
================

FAIL test-nlist (exit status: 1)

FAIL: run-strip-reloc.sh
========================

runtest hello_i386.ko
runtest hello_x86_64.ko
runtest hello_ppc64.ko
runtest hello_s390.ko
runtest hello_aarch64.ko
runtest hello_m68k.ko
runtest hello_riscv64.ko
runtest hello_csky.ko
runtest /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip
runtest /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
*** failure --reloc-debug-sections not smaller /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure readelf -w debugfile1 /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure readelf -w debugfile2 /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
runtest strip-uncompressed.o
*** failure --reloc-debug-sections not smaller strip-uncompressed.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure readelf -w debugfile1 strip-uncompressed.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure readelf -w debugfile2 strip-uncompressed.o
runtest strip-compressed.o
*** failure --reloc-debug-sections not smaller strip-compressed.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure readelf -w debugfile1 strip-compressed.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure readelf -w debugfile2 strip-compressed.o
runtest testfile-debug-rel-ppc64.o
runtest testfile-debug-rel-ppc64-z.o
runtest testfile-debug-rel-ppc64-g.o
FAIL run-strip-reloc.sh (exit status: 1)

FAIL: run-strip-strmerge.sh
===========================

elflint /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/elfstrmerge
No errors
elfstrmerge
elflint merged.elf
No errors
strip
elflint merged.elf.stripped
No errors
elflint merged.elf.debug
No errors
unstrip
elflint remerged.elf
No errors
elfcmp
elflint /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/elfstrmerge.o
section [22] '.gnu.debuglto_.debug_info' contains invalid processor-specific flag(s) 0x80000000
section [24] '.gnu.debuglto_.debug_abbrev' contains invalid processor-specific flag(s) 0x80000000
section [25] '.gnu.debuglto_.debug_line' contains invalid processor-specific flag(s) 0x80000000
section [26] '.gnu.debuglto_.debug_str' contains invalid processor-specific flag(s) 0x80000000
section [27] '.gnu.lto_.profile.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [28] '.gnu.lto_.icf.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [29] '.gnu.lto_.jmpfuncs.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [30] '.gnu.lto_.ipa_sra.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [31] '.gnu.lto_.inline.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [32] '.gnu.lto_.pureconst.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [33] '.gnu.lto_.lto.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [34] '.gnu.lto_newstrtabdata.106.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [35] '.gnu.lto_release.109.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [36] '.gnu.lto_fail.110.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [37] '.gnu.lto_fail_errno.111.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [38] '.gnu.lto_fail_idx.112.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [39] '.gnu.lto_fail_elf.113.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [40] '.gnu.lto_fail_elf_idx.114.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [41] '.gnu.lto_newsecndx.1.115.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [42] '.gnu.lto_main.116.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [43] '.gnu.lto_new_data_buf.0.117.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [44] '.gnu.lto_.symbol_nodes.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [45] '.gnu.lto_.refs.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [46] '.gnu.lto_.decls.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [47] '.gnu.lto_.symtab.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [48] '.gnu.lto_.ext_symtab.8515d26d9a2b5d72' contains invalid processor-specific flag(s) 0x80000000
section [49] '.gnu.lto_.opts' contains invalid processor-specific flag(s) 0x80000000
FAIL run-strip-strmerge.sh (exit status: 1)

FAIL: run-elflint-self.sh
=========================

section [22] '.gnu.debuglto_.debug_info' contains invalid processor-specific flag(s) 0x80000000
section [24] '.gnu.debuglto_.debug_abbrev' contains invalid processor-specific flag(s) 0x80000000
section [25] '.gnu.debuglto_.debug_line' contains invalid processor-specific flag(s) 0x80000000
section [26] '.gnu.debuglto_.debug_str' contains invalid processor-specific flag(s) 0x80000000
section [27] '.gnu.lto_.profile.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [28] '.gnu.lto_.icf.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [29] '.gnu.lto_.jmpfuncs.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [30] '.gnu.lto_.ipa_sra.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [31] '.gnu.lto_.inline.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [32] '.gnu.lto_.pureconst.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [33] '.gnu.lto_.lto.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [34] '.gnu.lto_argp_program_version_hook.90.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [35] '.gnu.lto_argp_program_bug_address.91.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [36] '.gnu.lto_options.92.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [37] '.gnu.lto_doc.93.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [38] '.gnu.lto_argp.95.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [39] '.gnu.lto_length_map.98.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [40] '.gnu.lto_main.101.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [41] '.gnu.lto_parse_opt.102.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [42] '.gnu.lto_process_file.103.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [43] '.gnu.lto_print_header.104.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [44] '.gnu.lto_handle_ar.105.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [45] '.gnu.lto_show_sysv.106.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [46] '.gnu.lto_show_sysv_one_line.107.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [47] '.gnu.lto_show_bsd.111.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [48] '.gnu.lto_show_bsd_totals.112.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [49] '.gnu.lto_show_segments.113.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [50] '.gnu.lto_handle_elf.114.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [51] '.gnu.lto_.symbol_nodes.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [52] '.gnu.lto_.refs.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [53] '.gnu.lto_.decls.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [54] '.gnu.lto_.symtab.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [55] '.gnu.lto_.ext_symtab.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [56] '.gnu.lto_.opts' contains invalid processor-specific flag(s) 0x80000000
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/elflint --quiet --gnu-ld /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o
section [22] '.gnu.debuglto_.debug_info' contains invalid processor-specific flag(s) 0x80000000
section [24] '.gnu.debuglto_.debug_abbrev' contains invalid processor-specific flag(s) 0x80000000
section [25] '.gnu.debuglto_.debug_line' contains invalid processor-specific flag(s) 0x80000000
section [26] '.gnu.debuglto_.debug_str' contains invalid processor-specific flag(s) 0x80000000
section [27] '.gnu.lto_.profile.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [28] '.gnu.lto_.icf.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [29] '.gnu.lto_.jmpfuncs.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [30] '.gnu.lto_.ipa_sra.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [31] '.gnu.lto_.inline.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [32] '.gnu.lto_.pureconst.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [33] '.gnu.lto_.lto.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [34] '.gnu.lto_pwrite_retry.95.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [35] '.gnu.lto_argp_program_version_hook.98.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [36] '.gnu.lto_argp_program_bug_address.99.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [37] '.gnu.lto_options.100.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [38] '.gnu.lto_doc.101.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [39] '.gnu.lto_argp.103.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [40] '.gnu.lto_add_pattern.118.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [41] '.gnu.lto_free_sec_patterns.119.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [42] '.gnu.lto_free_patterns.120.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [43] '.gnu.lto_section_name_matches.121.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [44] '.gnu.lto_main.122.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [45] '.gnu.lto_parse_opt.123.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [46] '.gnu.lto_secndx_name.124.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [47] '.gnu.lto_get_xndxdata.125.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [48] '.gnu.lto_update_shdrstrndx.126.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [49] '.gnu.lto_relocate.3.127.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [50] '.gnu.lto_remove_debug_relocations.128.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [51] '.gnu.lto_process_file.129.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [52] '.gnu.lto_handle_debug_relocs.130.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [53] '.gnu.lto_check_preserved.0.131.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [54] '.gnu.lto_handle_elf.132.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [55] '.gnu.lto_update_section_size.1.133.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [56] '.gnu.lto_no_symtab_updates.2.134.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [57] '.gnu.lto_cleanup_debug.part.0.247.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [58] '.gnu.lto_.symbol_nodes.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [59] '.gnu.lto_.refs.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [60] '.gnu.lto_.decls.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [61] '.gnu.lto_.symtab.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [62] '.gnu.lto_.ext_symtab.b5a96fe9b515526' contains invalid processor-specific flag(s) 0x80000000
section [63] '.gnu.lto_.opts' contains invalid processor-specific flag(s) 0x80000000
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/elflint --quiet --gnu-ld /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
FAIL run-elflint-self.sh (exit status: 1)

FAIL: run-readelf-self.sh
=========================

/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf -a -w /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf: cannot get debug context descriptor: No DWARF information found
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/readelf -a -w /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
FAIL run-readelf-self.sh (exit status: 1)

FAIL: run-varlocs-self.sh
=========================

/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs: No DWARF CU found?
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs -e /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs: No DWARF CU found?
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs -e /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
FAIL run-varlocs-self.sh (exit status: 1)

FAIL: run-exprlocs-self.sh
==========================

/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs: No DWARF CU found?
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs --exprlocs -e /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs: No DWARF CU found?
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/varlocs --exprlocs -e /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
FAIL run-exprlocs-self.sh (exit status: 1)

SKIP: run-lfs-symbols.sh
========================

LFS testing is irrelevent on this system
SKIP run-lfs-symbols.sh (exit status: 77)

FAIL: run-dwarf-die-addr-die.sh
===============================

checking testfile-debug-types
checking CU at 0
checking TU at 0
checking Type DIE at 4f
checking TU at 43
checking Type DIE at 7f
checking 2 subdie
checking 2 subdie
checking testfile_multi_main
checking CU at 0
checking alt debug
checking CU at 0
checking testfilebazdbgppc64.debug
checking CU at 0
checking CU at 90
checking testfile-dwarf-4
checking CU at 0
checking CU at 211
checking testfile-dwarf-5
checking CU at 0
checking CU at 20c
checking testfile-splitdwarf-4
checking CU at 0
checking CU at 34
checking 4 subdie
checking 4 subdie
checking testfile-splitdwarf-5
checking CU at 0
checking CU at 35
checking 4 subdie
checking 4 subdie
checking testfile-hello4.dwo
checking CU at 0
checking testfile-world4.dwo
checking CU at 0
checking testfile-hello5.dwo
checking CU at 0
checking testfile-world5.dwo
checking CU at 0
checking /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/addr2line
checking CU at 0
checking CU at 2851
checking CU at 438d
checking /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/elfclassify
checking CU at 0
checking CU at 2096
checking CU at 3415
checking /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/stack
checking CU at 0
checking CU at 282a
checking CU at 421b
checking /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/unstrip
checking CU at 0
checking CU at 838f
checking CU at b5a4
checking CU at b6cf
checking /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/libelf/libelf.so
checking CU at 0
checking CU at 1709e
checking CU at 17335
checking CU at 17415
checking CU at 17768
checking CU at 178b4
checking CU at 19604
checking CU at 1a5b9
checking CU at 1b53b
checking CU at 1c598
checking CU at 1d50e
checking CU at 1e484
checking CU at 1f3fa
checking CU at 20386
checking CU at 20665
checking CU at 20944
checking CU at 21a5a
checking CU at 21e78
checking CU at 22296
checking CU at 226b4
checking CU at 22ad2
checking CU at 24d65
checking CU at 25e7c
checking CU at 26f93
checking CU at 28103
checking CU at 2922a
checking CU at 2a351
checking CU at 2b2d3
checking CU at 2c449
checking CU at 2d776
checking CU at 2eac0
checking CU at 2fc39
checking CU at 30dec
checking CU at 31f9f
checking CU at 32f21
checking CU at 340bb
checking CU at 351be
checking CU at 36646
checking CU at 3772d
checking CU at 38af4
checking CU at 39bc9
checking CU at 3ad03
checking CU at 3bcc4
checking CU at 3cc3a
checking CU at 3dd9e
checking CU at 3f133
checking CU at 404e5
checking CU at 4163a
checking CU at 427bc
checking CU at 43981
checking CU at 44a76
checking CU at 45ffb
checking CU at 47119
checking CU at 48451
checking CU at 49553
checking CU at 4a655
checking CU at 4b757
checking CU at 4c859
checking CU at 4d95b
checking CU at 4ea79
checking CU at 4fb42
checking CU at 50e38
checking CU at 52329
checking CU at 53828
checking CU at 5555a
checking CU at 5728c
checking CU at 584ca
checking CU at 59712
checking CU at 5a85c
checking CU at 5ba1c
checking CU at 5cbdc
checking CU at 5ddb8
checking CU at 5ef4e
checking CU at 60127
checking CU at 6134c
checking CU at 6250c
checking CU at 63718
checking CU at 64954
checking CU at 65b8e
checking CU at 66d20
checking CU at 67ec5
checking CU at 69021
checking CU at 6a1bc
checking CU at 6b3f0
checking CU at 6c5e0
checking CU at 6d785
checking CU at 6e734
checking CU at 6f6e3
checking CU at 70bb7
checking CU at 71e2b
checking CU at 730a9
checking CU at 741fc
checking CU at 753e3
checking CU at 765ca
checking CU at 777cd
checking CU at 7898a
checking CU at 79b37
checking CU at 7ac53
checking CU at 7be9d
checking CU at 7ce13
checking CU at 7df63
checking CU at 7f0b3
checking CU at 7f1af
checking CU at 7f249
checking CU at 803f1
checking CU at 81581
checking CU at 8271b
checking CU at 83810
checking CU at 84905
checking CU at 859da
checking CU at 86983
checking CU at 86a34
checking CU at 879c4
checking CU at 88ae9
checking CU at 89c1c
checking CU at 8adb9
checking CU at 8c59d
checking /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/libasm/libasm.so
checking CU at 0
checking CU at 4d25
checking CU at 5889
checking CU at 604a
checking CU at 701c
checking CU at 7173
checking CU at 7934
checking CU at 843d
checking CU at 8d55
checking CU at 9539
checking CU at 9e8d
checking CU at a755
checking CU at b01d
checking CU at b8f2
checking CU at c0d5
checking CU at c924
checking CU at d24b
checking CU at db20
checking CU at e41d
checking CU at ec02
checking CU at f530
checking CU at fd2d
checking CU at 1064f
checking CU at 10e34
checking CU at 1176e
checking CU at 11f53
checking CU at 12842
checking CU at 13155
checking CU at 1422f
checking CU at 155d9
checking CU at 1578c
checking CU at 15a94
checking CU at 16449
checking CU at 1745c
checking CU at 1846f
Not a Dwarf file '/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o': no DWARF information
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/dwarf-die-addr-die /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o
Not a Dwarf file '/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o': no DWARF information
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/dwarf-die-addr-die /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
FAIL run-dwarf-die-addr-die.sh (exit status: 1)

FAIL: run-get-units-invalid.sh
==============================

file: testfile-debug-types
Got cudie: (null), unit_type: 1
Got cudie: (null), unit_type: 2
subdie: B
Got cudie: (null), unit_type: 2
subdie: A

file: testfile_multi_main
Got cudie: main.c, unit_type: 1

file: testfilebazdbgppc64.debug
Got cudie: foo.c, unit_type: 1
Got cudie: bar.c, unit_type: 1

file: testfile-dwarf-4
Got cudie: hello.c, unit_type: 1
Got cudie: world.c, unit_type: 1

file: testfile-dwarf-5
Got cudie: hello.c, unit_type: 1
Got cudie: world.c, unit_type: 1

file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/addr2line
Got cudie: <artificial>, unit_type: 1
Got cudie: addr2line.c, unit_type: 1
Got cudie: printversion.c, unit_type: 1

file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/elfclassify
Got cudie: <artificial>, unit_type: 1
Got cudie: elfclassify.c, unit_type: 1
Got cudie: printversion.c, unit_type: 1

file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/stack
Got cudie: <artificial>, unit_type: 1
Got cudie: stack.c, unit_type: 1
Got cudie: printversion.c, unit_type: 1

file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/unstrip
Got cudie: <artificial>, unit_type: 1
Got cudie: unstrip.c, unit_type: 1
Got cudie: xmalloc.c, unit_type: 1
Got cudie: printversion.c, unit_type: 1

file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/libelf/libelf.so
Got cudie: <artificial>, unit_type: 1
Got cudie: elf_version.c, unit_type: 1
Got cudie: elf_hash.c, unit_type: 1
Got cudie: elf_error.c, unit_type: 1
Got cudie: elf_fill.c, unit_type: 1
Got cudie: elf_begin.c, unit_type: 1
Got cudie: elf_next.c, unit_type: 1
Got cudie: elf_rand.c, unit_type: 1
Got cudie: elf_end.c, unit_type: 1
Got cudie: elf_kind.c, unit_type: 1
Got cudie: gelf_getclass.c, unit_type: 1
Got cudie: elf_getbase.c, unit_type: 1
Got cudie: elf_getident.c, unit_type: 1
Got cudie: elf32_fsize.c, unit_type: 1
Got cudie: elf64_fsize.c, unit_type: 1
Got cudie: gelf_fsize.c, unit_type: 1
Got cudie: elf32_xlatetof.c, unit_type: 1
Got cudie: elf32_xlatetom.c, unit_type: 1
Got cudie: elf64_xlatetof.c, unit_type: 1
Got cudie: elf64_xlatetom.c, unit_type: 1
Got cudie: gelf_xlate.c, unit_type: 1
Got cudie: elf32_getehdr.c, unit_type: 1
Got cudie: elf64_getehdr.c, unit_type: 1
Got cudie: gelf_getehdr.c, unit_type: 1
Got cudie: elf32_newehdr.c, unit_type: 1
Got cudie: elf64_newehdr.c, unit_type: 1
Got cudie: gelf_newehdr.c, unit_type: 1
Got cudie: gelf_update_ehdr.c, unit_type: 1
Got cudie: elf32_getphdr.c, unit_type: 1
Got cudie: elf64_getphdr.c, unit_type: 1
Got cudie: gelf_getphdr.c, unit_type: 1
Got cudie: elf32_newphdr.c, unit_type: 1
Got cudie: elf64_newphdr.c, unit_type: 1
Got cudie: gelf_newphdr.c, unit_type: 1
Got cudie: gelf_update_phdr.c, unit_type: 1
Got cudie: elf_getarhdr.c, unit_type: 1
Got cudie: elf_getarsym.c, unit_type: 1
Got cudie: elf_rawfile.c, unit_type: 1
Got cudie: elf_readall.c, unit_type: 1
Got cudie: elf_cntl.c, unit_type: 1
Got cudie: elf_getscn.c, unit_type: 1
Got cudie: elf_nextscn.c, unit_type: 1
Got cudie: elf_ndxscn.c, unit_type: 1
Got cudie: elf_newscn.c, unit_type: 1
Got cudie: elf32_getshdr.c, unit_type: 1
Got cudie: elf64_getshdr.c, unit_type: 1
Got cudie: gelf_getshdr.c, unit_type: 1
Got cudie: gelf_update_shdr.c, unit_type: 1
Got cudie: elf_strptr.c, unit_type: 1
Got cudie: elf_rawdata.c, unit_type: 1
Got cudie: elf_getdata.c, unit_type: 1
Got cudie: elf_newdata.c, unit_type: 1
Got cudie: elf_getdata_rawchunk.c, unit_type: 1
Got cudie: elf_flagelf.c, unit_type: 1
Got cudie: elf_flagehdr.c, unit_type: 1
Got cudie: elf_flagphdr.c, unit_type: 1
Got cudie: elf_flagscn.c, unit_type: 1
Got cudie: elf_flagshdr.c, unit_type: 1
Got cudie: elf_flagdata.c, unit_type: 1
Got cudie: elf_memory.c, unit_type: 1
Got cudie: elf_update.c, unit_type: 1
Got cudie: elf32_updatenull.c, unit_type: 1
Got cudie: elf64_updatenull.c, unit_type: 1
Got cudie: elf32_updatefile.c, unit_type: 1
Got cudie: elf64_updatefile.c, unit_type: 1
Got cudie: gelf_getsym.c, unit_type: 1
Got cudie: gelf_update_sym.c, unit_type: 1
Got cudie: gelf_getversym.c, unit_type: 1
Got cudie: gelf_getverneed.c, unit_type: 1
Got cudie: gelf_getvernaux.c, unit_type: 1
Got cudie: gelf_getverdef.c, unit_type: 1
Got cudie: gelf_getverdaux.c, unit_type: 1
Got cudie: gelf_getrel.c, unit_type: 1
Got cudie: gelf_getrela.c, unit_type: 1
Got cudie: gelf_update_rel.c, unit_type: 1
Got cudie: gelf_update_rela.c, unit_type: 1
Got cudie: gelf_getdyn.c, unit_type: 1
Got cudie: gelf_update_dyn.c, unit_type: 1
Got cudie: gelf_getmove.c, unit_type: 1
Got cudie: gelf_update_move.c, unit_type: 1
Got cudie: gelf_getsyminfo.c, unit_type: 1
Got cudie: gelf_update_syminfo.c, unit_type: 1
Got cudie: gelf_getauxv.c, unit_type: 1
Got cudie: gelf_update_auxv.c, unit_type: 1
Got cudie: gelf_getnote.c, unit_type: 1
Got cudie: gelf_xlatetof.c, unit_type: 1
Got cudie: gelf_xlatetom.c, unit_type: 1
Got cudie: nlist.c, unit_type: 1
Got cudie: gelf_getsymshndx.c, unit_type: 1
Got cudie: gelf_update_symshndx.c, unit_type: 1
Got cudie: gelf_update_versym.c, unit_type: 1
Got cudie: gelf_update_verneed.c, unit_type: 1
Got cudie: gelf_update_vernaux.c, unit_type: 1
Got cudie: gelf_update_verdef.c, unit_type: 1
Got cudie: gelf_update_verdaux.c, unit_type: 1
Got cudie: elf_getphdrnum.c, unit_type: 1
Got cudie: elf_getshdrnum.c, unit_type: 1
Got cudie: elf_getshdrstrndx.c, unit_type: 1
Got cudie: gelf_checksum.c, unit_type: 1
Got cudie: elf32_checksum.c, unit_type: 1
Got cudie: elf64_checksum.c, unit_type: 1
Got cudie: libelf_crc32.c, unit_type: 1
Got cudie: libelf_next_prime.c, unit_type: 1
Got cudie: elf_clone.c, unit_type: 1
Got cudie: gelf_getlib.c, unit_type: 1
Got cudie: gelf_update_lib.c, unit_type: 1
Got cudie: elf32_offscn.c, unit_type: 1
Got cudie: elf64_offscn.c, unit_type: 1
Got cudie: gelf_offscn.c, unit_type: 1
Got cudie: elf_getaroff.c, unit_type: 1
Got cudie: elf_gnu_hash.c, unit_type: 1
Got cudie: elf_scnshndx.c, unit_type: 1
Got cudie: elf32_getchdr.c, unit_type: 1
Got cudie: elf64_getchdr.c, unit_type: 1
Got cudie: gelf_getchdr.c, unit_type: 1
Got cudie: elf_compress.c, unit_type: 1
Got cudie: elf_compress_gnu.c, unit_type: 1

file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/libasm/libasm.so
Got cudie: <artificial>, unit_type: 1
Got cudie: asm_begin.c, unit_type: 1
Got cudie: asm_abort.c, unit_type: 1
Got cudie: asm_end.c, unit_type: 1
Got cudie: asm_error.c, unit_type: 1
Got cudie: asm_getelf.c, unit_type: 1
Got cudie: asm_newscn.c, unit_type: 1
Got cudie: asm_newscn_ingrp.c, unit_type: 1
Got cudie: asm_newsubscn.c, unit_type: 1
Got cudie: asm_newsym.c, unit_type: 1
Got cudie: asm_newcomsym.c, unit_type: 1
Got cudie: asm_newabssym.c, unit_type: 1
Got cudie: asm_newscngrp.c, unit_type: 1
Got cudie: asm_scngrp_newsignature.c, unit_type: 1
Got cudie: asm_fill.c, unit_type: 1
Got cudie: asm_align.c, unit_type: 1
Got cudie: asm_addstrz.c, unit_type: 1
Got cudie: asm_addint8.c, unit_type: 1
Got cudie: asm_adduint8.c, unit_type: 1
Got cudie: asm_addint16.c, unit_type: 1
Got cudie: asm_adduint16.c, unit_type: 1
Got cudie: asm_addint32.c, unit_type: 1
Got cudie: asm_adduint32.c, unit_type: 1
Got cudie: asm_addint64.c, unit_type: 1
Got cudie: asm_adduint64.c, unit_type: 1
Got cudie: asm_adduleb128.c, unit_type: 1
Got cudie: asm_addsleb128.c, unit_type: 1
Got cudie: disasm_begin.c, unit_type: 1
Got cudie: disasm_cb.c, unit_type: 1
Got cudie: disasm_end.c, unit_type: 1
Got cudie: disasm_str.c, unit_type: 1
Got cudie: symbolhash.c, unit_type: 1
Got cudie: eblelfclass.c, unit_type: 1
Got cudie: eblelfdata.c, unit_type: 1
Got cudie: eblelfmachine.c, unit_type: 1

file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o not usable: no DWARF information
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/get-units-invalid /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o
file: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
/home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o not usable: no DWARF information
*** failure in /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/tests/get-units-invalid /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/strip.o
FAIL run-get-units-invalid.sh (exit status: 1)

FAIL: run-reverse-sections-self.sh
==================================


copy_elf: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/addr2line -> addr2line.rev (read,reverse)
setshstrndx: 38
Swapping offsets of section 29 and 30
Swapping offsets of section 31 and 32
Swapping offsets of section 33 and 34
Swapping offsets of section 37 and 38
No errors
elfrdwrdnop addr2line.rev
No errors

copy_elf: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/elfclassify -> elfclassify.rev (read,reverse)
setshstrndx: 38
Swapping offsets of section 29 and 30
Swapping offsets of section 31 and 32
Swapping offsets of section 33 and 34
Swapping offsets of section 37 and 38
No errors
elfrdwrdnop elfclassify.rev
No errors

copy_elf: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/stack -> stack.rev (read,reverse)
setshstrndx: 38
Swapping offsets of section 29 and 30
Swapping offsets of section 31 and 32
Swapping offsets of section 33 and 34
Swapping offsets of section 37 and 38
No errors
elfrdwrdnop stack.rev
No errors

copy_elf: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/unstrip -> unstrip.rev (read,reverse)
setshstrndx: 38
Swapping offsets of section 29 and 30
Swapping offsets of section 31 and 32
Swapping offsets of section 33 and 34
Swapping offsets of section 37 and 38
No errors
elfrdwrdnop unstrip.rev
No errors

copy_elf: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/libelf/libelf.so -> libelf.so.rev (read,reverse)
setshstrndx: 37
Swapping offsets of section 28 and 29
Swapping offsets of section 30 and 31
Swapping offsets of section 32 and 33
Swapping offsets of section 36 and 37
No errors
elfrdwrdnop libelf.so.rev
No errors

copy_elf: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/libasm/libasm.so -> libasm.so.rev (read,reverse)
setshstrndx: 37
Swapping offsets of section 28 and 29
Swapping offsets of section 30 and 31
Swapping offsets of section 32 and 33
Swapping offsets of section 36 and 37
No errors
elfrdwrdnop libasm.so.rev
No errors

copy_elf: /home/tkloczko/rpmbuild/BUILD/elfutils-0.179/src/size.o -> size.o.rev (read,reverse)
setshstrndx: 74
Swapping offsets of section 5 and 6
Swapping offsets of section 24 and 25
Swapping offsets of section 26 and 27
Swapping offsets of section 28 and 29
Swapping offsets of section 30 and 31
Swapping offsets of section 32 and 33
Swapping offsets of section 34 and 35
Swapping offsets of section 36 and 37
Swapping offsets of section 38 and 39
Swapping offsets of section 40 and 41
Swapping offsets of section 42 and 43
Swapping offsets of section 44 and 45
Swapping offsets of section 46 and 47
Swapping offsets of section 48 and 49
Swapping offsets of section 50 and 51
Swapping offsets of section 52 and 53
Swapping offsets of section 54 and 55
Swapping offsets of section 56 and 57
Swapping offsets of section 58 and 59
Swapping offsets of section 60 and 61
Swapping offsets of section 62 and 63
Swapping offsets of section 64 and 65
Swapping offsets of section 66 and 67
Swapping offsets of section 68 and 69
section [22] '.gnu.debuglto_.debug_info' contains invalid processor-specific flag(s) 0x80000000
section [24] '.gnu.debuglto_.debug_abbrev' contains invalid processor-specific flag(s) 0x80000000
section [25] '.gnu.debuglto_.debug_line' contains invalid processor-specific flag(s) 0x80000000
section [26] '.gnu.debuglto_.debug_str' contains invalid processor-specific flag(s) 0x80000000
section [27] '.gnu.lto_.profile.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [28] '.gnu.lto_.icf.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [29] '.gnu.lto_.jmpfuncs.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [30] '.gnu.lto_.ipa_sra.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [31] '.gnu.lto_.inline.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [32] '.gnu.lto_.pureconst.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [33] '.gnu.lto_.lto.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [34] '.gnu.lto_argp_program_version_hook.90.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [35] '.gnu.lto_argp_program_bug_address.91.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [36] '.gnu.lto_options.92.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [37] '.gnu.lto_doc.93.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [38] '.gnu.lto_argp.95.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [39] '.gnu.lto_length_map.98.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [40] '.gnu.lto_main.101.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [41] '.gnu.lto_parse_opt.102.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [42] '.gnu.lto_process_file.103.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [43] '.gnu.lto_print_header.104.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [44] '.gnu.lto_handle_ar.105.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [45] '.gnu.lto_show_sysv.106.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [46] '.gnu.lto_show_sysv_one_line.107.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [47] '.gnu.lto_show_bsd.111.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [48] '.gnu.lto_show_bsd_totals.112.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [49] '.gnu.lto_show_segments.113.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [50] '.gnu.lto_handle_elf.114.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [51] '.gnu.lto_.symbol_nodes.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [52] '.gnu.lto_.refs.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [53] '.gnu.lto_.decls.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [54] '.gnu.lto_.symtab.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [55] '.gnu.lto_.ext_symtab.983b015b3c475f2b' contains invalid processor-specific flag(s) 0x80000000
section [56] '.gnu.lto_.opts' contains invalid processor-specific flag(s) 0x80000000
FAIL run-reverse-sections-self.sh (exit status: 1)

============================================================================
Testsuite summary for elfutils 0.179
============================================================================
# TOTAL: 218
# PASS:  207
# SKIP:  1
# XFAIL: 0
# FAIL:  10
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to https://sourceware.org/bugzilla
============================================================================
make[3]: *** [Makefile:2432: test-suite.log] Error 1
make[2]: *** [Makefile:2540: check-TESTS] Error 2
make[1]: *** [Makefile:4133: check-am] Error 2
make: *** [Makefile:499: check-recursive] Error 1
Comment 22 Mark Wielaard 2020-05-06 16:10:25 UTC
kloczek, re comment #20 and comment #21, is that with the latest git master sources? It looks like it is missing several code and testsuite fixes. In particular are you sure you have the following patches:

commit e2fc0b737c1d55becda1f13dceec315a5589820a
Author: Mark Wielaard <mark@klomp.org>
Date:   Thu Apr 16 18:48:58 2020 +0200

    elflint: Allow SHF_EXCLUDE as generic section flag when --gnu is given.

commit d6185d33fb2a65b4c3cbc73c5529937debdd2568
Author: Mark Wielaard <mark@klomp.org>
Date:   Fri Apr 17 11:31:40 2020 +0200

    libdw, readelf: Handle GCC LTO .gnu.debuglto_ prefix.

commit 51cfbaabefd6d5ebdd7513b876daf78d07470f8c
Author: Mark Wielaard <mark@klomp.org>
Date:   Fri Apr 17 12:21:46 2020 +0200

    tests: Build test-nlist with minimal CFLAGS to guarantee symbol order.

commit 554352ded723042572a91200d05fdb075b1a1ea3
Author: Mark Wielaard <mark@klomp.org>
Date:   Fri Apr 17 12:31:15 2020 +0200

    tests: Run run-varlocs-self.sh for object files with --exprlocs.
Comment 23 kloczek 2020-05-06 17:28:33 UTC
Just retested elfutils with more patches from git and looks like now test suite is passing successfully:

[tkloczko@barrel SPECS]$ rpmbuild -ba elfutils.spec --with lto --with check
warning: Downloading https://sourceware.org/elfutils/ftp/0.179/elfutils-0.179.tar.bz2 to /home/tkloczko/rpmbuild/SOURCES/elfutils-0.179.tar.bz2
warning: Downloading https://sourceware.org/git/?p=elfutils.git;a=patch;h=39f28eaf#/elfutils-libdwfl-Initialize-bits-to-NULL-in-dwfl_standard_fin.patch to /home/tkloczko/rpmbuild/SOURCES/elfutils-libdwfl-Initialize-bits-to-NULL-in-dwfl_standard_fin.patch
warning: Downloading https://sourceware.org/git/?p=elfutils.git;a=patch;h=25d40a62#/elfutils-libcpu-Replace-assert-with-goto-invalid_op-for-bad-p.patch to /home/tkloczko/rpmbuild/SOURCES/elfutils-libcpu-Replace-assert-with-goto-invalid_op-for-bad-p.patch
warning: Downloading https://sourceware.org/git/?p=elfutils.git;a=patch;h=e2fc0b73#/elfutils-elflint-Allow-SHF_EXCLUDE-as-generic-section-flag-wh.patch to /home/tkloczko/rpmbuild/SOURCES/elfutils-elflint-Allow-SHF_EXCLUDE-as-generic-section-flag-wh.patch
warning: Downloading https://sourceware.org/git/?p=elfutils.git;a=patch;h=d6185d33#/elfutils-libdw-readelf-Handle-GCC-LTO-.gnu.debuglto_-prefix.patch to /home/tkloczko/rpmbuild/SOURCES/elfutils-libdw-readelf-Handle-GCC-LTO-.gnu.debuglto_-prefix.patch
warning: Downloading https://sourceware.org/git/?p=elfutils.git;a=patch;h=51cfbaab#/elfutils-tests-Build-test-nlist-with-minimal-CFLAGS-to-guaran.patch to /home/tkloczko/rpmbuild/SOURCES/elfutils-tests-Build-test-nlist-with-minimal-CFLAGS-to-guaran.patch
warning: Downloading https://sourceware.org/git/?p=elfutils.git;a=patch;h=554352de#/elfutils-tests-Run-run-varlocs-self.sh-for-object-files-with-.patch to /home/tkloczko/rpmbuild/SOURCES/elfutils-tests-Run-run-varlocs-self.sh-for-object-files-with-.patch
warning: Downloading https://sourceware.org/git/?p=elfutils.git;a=patch;h=a5d73b3e#/elfutils-libelf-Fix-double-free-in-__libelf_compress-on-error.patch to /home/tkloczko/rpmbuild/SOURCES/elfutils-libelf-Fix-double-free-in-__libelf_compress-on-error.patch
warning: Downloading https://sourceware.org/git/?p=elfutils.git;a=patch;h=8c5bd878#/elfutils-libasm-Fix-double-fclose-in-asm_end.patch to /home/tkloczko/rpmbuild/SOURCES/elfutils-libasm-Fix-double-fclose-in-asm_end.patch
warning: Downloading https://sourceware.org/git/?p=elfutils.git;a=patch;h=5436c752#/elfutils-libdw-Call-Dwarf-oom_handler-when-malloc-fails-in-__.patch to /home/tkloczko/rpmbuild/SOURCES/elfutils-libdw-Call-Dwarf-oom_handler-when-malloc-fails-in-__.patch
warning: Downloading https://sourceware.org/git/?p=elfutils.git;a=patch;h=a894c63d#/elfutils-libdwfl-Fix-double-free-on-failure-path-in-gzip.c.patch to /home/tkloczko/rpmbuild/SOURCES/elfutils-libdwfl-Fix-double-free-on-failure-path-in-gzip.c.patch
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.jQ9OUD
+ umask 022
+ cd /home/tkloczko/rpmbuild/BUILD
+ cd /home/tkloczko/rpmbuild/BUILD
+ rm -rf elfutils-0.179
+ /usr/bin/bzip2 -dc /home/tkloczko/rpmbuild/SOURCES/elfutils-0.179.tar.bz2
+ /usr/bin/tar -xof -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd elfutils-0.179
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ /usr/bin/cat /home/tkloczko/rpmbuild/SOURCES/elfutils-debug-client-alt-link.patch
+ /usr/bin/patch -p1 -s --fuzz=0 --no-backup-if-mismatch
+ /usr/bin/cat /home/tkloczko/rpmbuild/SOURCES/elfutils-libdwfl-Initialize-bits-to-NULL-in-dwfl_standard_fin.patch
+ /usr/bin/patch -p1 -s --fuzz=0 --no-backup-if-mismatch
+ /usr/bin/cat /home/tkloczko/rpmbuild/SOURCES/elfutils-libcpu-Replace-assert-with-goto-invalid_op-for-bad-p.patch
+ /usr/bin/patch -p1 -s --fuzz=0 --no-backup-if-mismatch
+ /usr/bin/cat /home/tkloczko/rpmbuild/SOURCES/elfutils-elflint-Allow-SHF_EXCLUDE-as-generic-section-flag-wh.patch
+ /usr/bin/patch -p1 -s --fuzz=0 --no-backup-if-mismatch
+ /usr/bin/cat /home/tkloczko/rpmbuild/SOURCES/elfutils-libdw-readelf-Handle-GCC-LTO-.gnu.debuglto_-prefix.patch
+ /usr/bin/patch -p1 -s --fuzz=0 --no-backup-if-mismatch
+ /usr/bin/cat /home/tkloczko/rpmbuild/SOURCES/elfutils-tests-Build-test-nlist-with-minimal-CFLAGS-to-guaran.patch
+ /usr/bin/patch -p1 -s --fuzz=0 --no-backup-if-mismatch
+ /usr/bin/cat /home/tkloczko/rpmbuild/SOURCES/elfutils-tests-Run-run-varlocs-self.sh-for-object-files-with-.patch
+ /usr/bin/patch -p1 -s --fuzz=0 --no-backup-if-mismatch
+ /usr/bin/cat /home/tkloczko/rpmbuild/SOURCES/elfutils-libelf-Fix-double-free-in-__libelf_compress-on-error.patch
+ /usr/bin/patch -p1 -s --fuzz=0 --no-backup-if-mismatch
+ /usr/bin/cat /home/tkloczko/rpmbuild/SOURCES/elfutils-libasm-Fix-double-fclose-in-asm_end.patch
+ /usr/bin/patch -p1 -s --fuzz=0 --no-backup-if-mismatch
+ /usr/bin/cat /home/tkloczko/rpmbuild/SOURCES/elfutils-libdw-Call-Dwarf-oom_handler-when-malloc-fails-in-__.patch
+ /usr/bin/patch -p1 -s --fuzz=0 --no-backup-if-mismatch
+ /usr/bin/cat /home/tkloczko/rpmbuild/SOURCES/elfutils-libdwfl-Fix-double-free-on-failure-path-in-gzip.c.patch
+ /usr/bin/patch -p1 -s --fuzz=0 --no-backup-if-mismatch
+ RPM_EC=0
++ jobs -p
+ exit 0

[..]

/usr/bin/make  check-TESTS
PASS: test-nlist
PASS: update1
PASS: newfile
PASS: update2
PASS: newscn
PASS: hash
PASS: update3
PASS: update4
PASS: run-show-abbrev.sh
PASS: run-get-pubnames.sh
PASS: run-get-aranges.sh
PASS: run-unstrip-M.sh
PASS: run-ecp-test2.sh
PASS: run-ecp-test.sh
PASS: run-ranlib-test.sh
PASS: run-get-lines.sh
PASS: run-show-die-info.sh
PASS: run-allfcts.sh
PASS: run-ranlib-test2.sh
PASS: run-ar.sh
PASS: run-ranlib-test3.sh
PASS: run-alldts.sh
PASS: run-next-lines.sh
PASS: run-strip-groups.sh
PASS: run-elfstrmerge-test.sh
PASS: run-unstrip-test3.sh
PASS: run-get-files.sh
PASS: run-unstrip-test.sh
PASS: run-unstrip-test2.sh
PASS: run-ranlib-test4.sh
PASS: run-unstrip-test4.sh
PASS: run-line2addr.sh
PASS: run-funcscopes.sh
PASS: run-next-files.sh
PASS: run-addrscopes.sh
PASS: run-readelf-const-values.sh
PASS: run-readelf-info-plus.sh
PASS: run-strip-test2.sh
PASS: run-strings-test.sh
PASS: run-strip-test12.sh
PASS: run-strip-test3.sh
PASS: run-strip-nobitsalign.sh
PASS: run-strip-test.sh
PASS: run-readelf-test1.sh
PASS: run-readelf-macro.sh
PASS: run-strip-test11.sh
PASS: run-readelf-test4.sh
PASS: run-strip-test9.sh
PASS: run-strip-nothing.sh
PASS: run-readelf-test3.sh
PASS: run-readelf-compressed.sh
PASS: run-readelf-twofiles.sh
PASS: run-readelf-test2.sh
PASS: run-strip-test7.sh
PASS: dwfl-bug-addr-overflow
PASS: run-strip-test8.sh
PASS: run-strip-test5.sh
PASS: run-strip-test10.sh
PASS: dwfl-report-segment-contiguous
PASS: dwfl-bug-report
PASS: run-readelf-aranges.sh
PASS: run-strip-g.sh
PASS: run-strip-test6.sh
PASS: run-strip-test4.sh
PASS: run-early-offscn.sh
PASS: run-elflint-test.sh
PASS: run-bug1-test.sh
PASS: run-debuglink.sh
PASS: run-buildid.sh
PASS: run-debugaltlink.sh
PASS: run-dwfl-bug-offline-rel.sh
PASS: run-test-flag-nobits.sh
PASS: run-varlocs-self.sh
PASS: run-dwarfcfi.sh
PASS: run-dwarf-getstring.sh
PASS: run-dwfl-addr-sect.sh
PASS: run-readelf-d.sh
PASS: run-rerequest_tag.sh
PASS: run-disasm-x86.sh
PASS: run-exprlocs-self.sh
PASS: run-elf_cntl_gelf_getshdr.sh
PASS: run-find-prologues.sh
PASS: run-strip-strmerge.sh
PASS: run-readelf-vmcoreinfo.sh
PASS: run-readelf-gdb_index.sh
PASS: run-test-archive64.sh
PASS: run-disasm-x86-64.sh
PASS: run-dwfl-report-elf-align.sh
PASS: run-typeiter.sh
PASS: run-macro-test.sh
PASS: run-readelf-variant.sh
PASS: run-readelf-line.sh
PASS: run-dwarf-getmacros.sh
PASS: run-addrcfi.sh
PASS: run-addr2line-i-demangle-test.sh
PASS: run-readelf-ranges.sh
PASS: run-annobingroup.sh
PASS: run-unstrip-n.sh
PASS: run-exprlocs.sh
PASS: run-readelf-z.sh
PASS: run-funcretval.sh
PASS: run-dwarf-ranges.sh
PASS: run-readelf-loc.sh
PASS: run-backtrace-dwarf.sh
PASS: run-readelf-n.sh
PASS: run-backtrace-data.sh
PASS: run-backtrace-native-biarch.sh
PASS: run-backtrace-native.sh
PASS: run-addr2line-i-lex-test.sh
PASS: run-addr2line-alt-debugpath.sh
PASS: run-backtrace-demangle.sh
PASS: run-readelf-zp.sh
PASS: run-backtrace-fp-core-x86_64.sh
PASS: run-backtrace-fp-core-aarch64.sh
PASS: run-backtrace-core-x86_64.sh
PASS: run-backtrace-core-x32.sh
PASS: run-backtrace-core-i386.sh
PASS: run-stack-i-test.sh
PASS: run-readelf-types.sh
PASS: run-backtrace-fp-core-ppc64le.sh
PASS: run-readelf-addr.sh
PASS: run-backtrace-fp-core-i386.sh
PASS: run-backtrace-core-s390.sh
PASS: run-dwfllines.sh
PASS: vdsosyms
PASS: run-native-test.sh
PASS: run-low_high_pc.sh
PASS: run-backtrace-core-s390x.sh
PASS: newdata
PASS: run-backtrace-core-ppc.sh
PASS: run-backtrace-core-aarch64.sh
PASS: elfstrtab
PASS: run-backtrace-core-sparc.sh
PASS: elfshphehdr
PASS: dwfl-proc-attach
PASS: run-readelf-str.sh
PASS: run-readelf-zx.sh
PASS: emptyfile
PASS: run-readelf-mixed-corenote.sh
PASS: vendorelf
PASS: run-stack-d-test.sh
PASS: run-stack-demangled-test.sh
PASS: run-linkmap-cut.sh
PASS: run-strptr.sh
PASS: fillfile
PASS: run-addr2line-test.sh
PASS: dwarf_default_lower_bound
SKIP: run-lfs-symbols.sh
PASS: run-zstrptr.sh
PASS: run-peel-type.sh
PASS: run-aggregate-size.sh
PASS: run-getsrc-die.sh
PASS: run-allfcts-multi.sh
PASS: run-allregs.sh
PASS: run-addr2line-i-test.sh
PASS: run-addrname-test.sh
PASS: run-reloc-bpf.sh
PASS: run-readelf-dwz-multi.sh
PASS: run-readelf-A.sh
PASS: msg_tst
PASS: system-elf-libelf-test
PASS: run-attr-integrate-skel.sh
PASS: run-all-dwarf-ranges.sh
PASS: run-varlocs.sh
PASS: run-elflint-self.sh
PASS: run-dwelfgnucompressed.sh
PASS: run-elfputzdata.sh
PASS: dwfl-bug-fd-leak
PASS: run-readelf-discr.sh
PASS: asm-tst1
PASS: asm-tst2
PASS: asm-tst3
PASS: run-strip-version.sh
PASS: run-disasm-riscv64.sh
PASS: run-dwelf_elf_e_machine_string.sh
PASS: asm-tst7
PASS: asm-tst8
PASS: run-getphdrnum.sh
PASS: asm-tst9
PASS: run-elfgetzdata.sh
PASS: run-next-cfi-self.sh
PASS: run-next-cfi.sh
PASS: run-deleted.sh
PASS: run-xlate-note.sh
PASS: run-pt_gnu_prop-tests.sh
PASS: run-elfgetchdr.sh
PASS: run-disasm-bpf.sh
PASS: run-strip-remove-keep.sh
PASS: asm-tst4
PASS: asm-tst6
PASS: run-get-units-invalid.sh
PASS: run-typeiter-many.sh
PASS: run-unit-info.sh
PASS: run-get-units-split.sh
PASS: asm-tst5
PASS: run-prelink-addr-test.sh
PASS: run-dwarf-die-addr-die.sh
PASS: run-readelf-zdebug.sh
PASS: run-readelf-zdebug-rel.sh
PASS: run-readelf-s.sh
PASS: run-reverse-sections.sh
PASS: run-backtrace-native-core.sh
PASS: run-reverse-sections-self.sh
PASS: run-dwflsyms.sh
PASS: run-arextract.sh
PASS: run-elfclassify-self.sh
PASS: run-copyadd-sections.sh
PASS: run-readelf-self.sh
PASS: run-nm-self.sh
PASS: run-strip-test-many.sh
PASS: run-backtrace-native-core-biarch.sh
PASS: run-elfclassify.sh
PASS: run-compress-test.sh
PASS: run-debuginfod-find.sh
PASS: run-arsymtest.sh
PASS: run-copymany-sections.sh
PASS: run-strip-reloc.sh
PASS: run-large-elf-file.sh
============================================================================
Testsuite summary for elfutils 0.179
============================================================================
# TOTAL: 218
# PASS:  217
# SKIP:  1
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
Making check in debuginfod
make[1]: Nothing to be done for 'check'.